/* A Bison parser, made by GNU Bison 3.5.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2019 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Undocumented macros, especially those whose name start with YY_,
   are private implementation details.  Do not rely on them.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 9 "src/asm/parser.y"

#include <ctype.h>
#include <errno.h>
#include <inttypes.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "asm/charmap.h"
#include "asm/fixpoint.h"
#include "asm/format.h"
#include "asm/fstack.h"
#include "asm/lexer.h"
#include "asm/macro.h"
#include "asm/main.h"
#include "asm/opt.h"
#include "asm/output.h"
#include "asm/rpn.h"
#include "asm/section.h"
#include "asm/symbol.h"
#include "asm/util.h"
#include "asm/warning.h"

#include "extern/utf8decoder.h"

#include "linkdefs.h"
#include "platform.h" // strncasecmp, strdup

static struct CaptureBody captureBody; /* Captures a REPT/FOR or MACRO */

static void upperstring(char *dest, char const *src)
{
	while (*src)
		*dest++ = toupper(*src++);
	*dest = '\0';
}

static void lowerstring(char *dest, char const *src)
{
	while (*src)
		*dest++ = tolower(*src++);
	*dest = '\0';
}

static uint32_t str2int2(uint8_t *s, int32_t length)
{
	int32_t i;
	uint32_t r = 0;

	i = length < 4 ? 0 : length - 4;
	while (i < length) {
		r <<= 8;
		r |= s[i];
		i++;
	}

	return r;
}

static char *strrstr(char *s1, char *s2)
{
	size_t len1 = strlen(s1);
	size_t len2 = strlen(s2);

	if (len2 > len1)
		return NULL;

	for (char *p = s1 + len1 - len2; p >= s1; p--)
		if (!strncmp(p, s2, len2))
			return p;

	return NULL;
}

static size_t strlenUTF8(const char *s)
{
	size_t len = 0;
	uint32_t state = 0;
	uint32_t codep = 0;

	while (*s) {
		switch (decode(&state, &codep, *s)) {
		case 1:
			fatalerror("STRLEN: Invalid UTF-8 character\n");
			break;
		case 0:
			len++;
			break;
		}
		s++;
	}

	/* Check for partial code point. */
	if (state != 0)
		fatalerror("STRLEN: Invalid UTF-8 character\n");

	return len;
}

static void strsubUTF8(char *dest, size_t destLen, const char *src, uint32_t pos, uint32_t len)
{
	size_t srcIndex = 0;
	size_t destIndex = 0;
	uint32_t state = 0;
	uint32_t codep = 0;
	uint32_t curPos = 1;
	uint32_t curLen = 0;

	if (pos < 1) {
		warning(WARNING_BUILTIN_ARG, "STRSUB: Position starts at 1\n");
		pos = 1;
	}

	/* Advance to starting position in source string. */
	while (src[srcIndex] && curPos < pos) {
		switch (decode(&state, &codep, src[srcIndex])) {
		case 1:
			fatalerror("STRSUB: Invalid UTF-8 character\n");
			break;
		case 0:
			curPos++;
			break;
		}
		srcIndex++;
	}

	if (!src[srcIndex] && len)
		warning(WARNING_BUILTIN_ARG,
			"STRSUB: Position %lu is past the end of the string\n",
			(unsigned long)pos);

	/* Copy from source to destination. */
	while (src[srcIndex] && destIndex < destLen - 1 && curLen < len) {
		switch (decode(&state, &codep, src[srcIndex])) {
		case 1:
			fatalerror("STRSUB: Invalid UTF-8 character\n");
			break;
		case 0:
			curLen++;
			break;
		}
		dest[destIndex++] = src[srcIndex++];
	}

	if (curLen < len)
		warning(WARNING_BUILTIN_ARG, "STRSUB: Length too big: %lu\n", (unsigned long)len);

	/* Check for partial code point. */
	if (state != 0)
		fatalerror("STRSUB: Invalid UTF-8 character\n");

	dest[destIndex] = '\0';
}

static void strrpl(char *dest, size_t destLen, char const *src, char const *old, char const *new)
{
	size_t oldLen = strlen(old);
	size_t newLen = strlen(new);
	size_t i = 0;

	if (!oldLen) {
		warning(WARNING_EMPTY_STRRPL, "STRRPL: Cannot replace an empty string\n");
		strcpy(dest, src);
		return;
	}

	for (char const *next = strstr(src, old); next && *next; next = strstr(src, old)) {
		// Copy anything before the substring to replace
		unsigned int lenBefore = next - src;

		memcpy(dest + i, src, lenBefore < destLen - i ? lenBefore : destLen - i);
		i += next - src;
		if (i >= destLen)
			break;

		// Copy the replacement substring
		memcpy(dest + i, new, newLen < destLen - i ? newLen : destLen - i);
		i += newLen;
		if (i >= destLen)
			break;

		src = next + oldLen;
	}

	if (i < destLen) {
		size_t srcLen = strlen(src);

		// Copy anything after the last replaced substring
		memcpy(dest + i, src, srcLen < destLen - i ? srcLen : destLen - i);
		i += srcLen;
	}

	if (i >= destLen) {
		warning(WARNING_LONG_STR, "STRRPL: String too long, got truncated\n");
		i = destLen - 1;
	}
	dest[i] = '\0';
}

static void initStrFmtArgList(struct StrFmtArgList *args)
{
	args->nbArgs = 0;
	args->capacity = INITIAL_STRFMT_ARG_SIZE;
	args->args = malloc(args->capacity * sizeof(*args->args));
	if (!args->args)
		fatalerror("Failed to allocate memory for STRFMT arg list: %s\n",
			   strerror(errno));
}

static size_t nextStrFmtArgListIndex(struct StrFmtArgList *args)
{
	if (args->nbArgs == args->capacity) {
		args->capacity = (args->capacity + 1) * 2;
		args->args = realloc(args->args, args->capacity * sizeof(*args->args));
		if (!args->args)
			fatalerror("realloc error while resizing STRFMT arg list: %s\n",
				   strerror(errno));
	}
	return args->nbArgs++;
}

static void freeStrFmtArgList(struct StrFmtArgList *args)
{
	free(args->format);
	for (size_t i = 0; i < args->nbArgs; i++)
		if (!args->args[i].isNumeric)
			free(args->args[i].string);
	free(args->args);
}

static void strfmt(char *dest, size_t destLen, char const *fmt, size_t nbArgs, struct StrFmtArg *args)
{
	size_t a = 0;
	size_t i = 0;

	while (i < destLen) {
		int c = *fmt++;

		if (c == '\0') {
			break;
		} else if (c != '%') {
			dest[i++] = c;
			continue;
		}

		c = *fmt++;

		if (c == '%') {
			dest[i++] = c;
			continue;
		}

		struct FormatSpec spec = fmt_NewSpec();

		while (c != '\0') {
			fmt_UseCharacter(&spec, c);
			if (fmt_IsFinished(&spec))
				break;
			c = *fmt++;
		}

		if (fmt_IsEmpty(&spec)) {
			error("STRFMT: Illegal '%%' at end of format string\n");
			dest[i++] = '%';
			break;
		} else if (!fmt_IsValid(&spec)) {
			error("STRFMT: Invalid format spec for argument %zu\n", a + 1);
			dest[i++] = '%';
			a++;
			continue;
		} else if (a >= nbArgs) {
			// Will warn after formatting is done.
			dest[i++] = '%';
			a++;
			continue;
		}

		struct StrFmtArg *arg = &args[a++];
		static char buf[MAXSTRLEN + 1];

		if (arg->isNumeric)
			fmt_PrintNumber(buf, sizeof(buf), &spec, arg->number);
		else
			fmt_PrintString(buf, sizeof(buf), &spec, arg->string);

		i += snprintf(&dest[i], destLen - i, "%s", buf);
	}

	if (a < nbArgs)
		error("STRFMT: %zu unformatted argument(s)\n", nbArgs - a);
	else if (a > nbArgs)
		error("STRFMT: Not enough arguments for format spec, got: %zu, need: %zu\n", nbArgs, a);

	if (i > destLen - 1) {
		warning(WARNING_LONG_STR, "STRFMT: String too long, got truncated\n");
		i = destLen - 1;
	}
	dest[i] = '\0';
}

static void initDsArgList(struct DsArgList *args)
{
	args->nbArgs = 0;
	args->capacity = INITIAL_DS_ARG_SIZE;
	args->args = malloc(args->capacity * sizeof(*args->args));
	if (!args->args)
		fatalerror("Failed to allocate memory for ds arg list: %s\n",
			   strerror(errno));
}

static size_t nextDsArgListIndex(struct DsArgList *args)
{
	if (args->nbArgs == args->capacity) {
		args->capacity = (args->capacity + 1) * 2;
		args->args = realloc(args->args, args->capacity * sizeof(*args->args));
		if (!args->args)
			fatalerror("realloc error while resizing ds arg list: %s\n",
				   strerror(errno));
	}
	return args->nbArgs++;
}

static void freeDsArgList(struct DsArgList *args)
{
	free(args->args);
}

static void failAssert(enum AssertionType type)
{
	switch (type) {
		case ASSERT_FATAL:
			fatalerror("Assertion failed\n");
		case ASSERT_ERROR:
			error("Assertion failed\n");
			break;
		case ASSERT_WARN:
			warning(WARNING_ASSERT, "Assertion failed\n");
			break;
	}
}

static void failAssertMsg(enum AssertionType type, char const *msg)
{
	switch (type) {
		case ASSERT_FATAL:
			fatalerror("Assertion failed: %s\n", msg);
		case ASSERT_ERROR:
			error("Assertion failed: %s\n", msg);
			break;
		case ASSERT_WARN:
			warning(WARNING_ASSERT, "Assertion failed: %s\n", msg);
			break;
	}
}

void yyerror(char const *str)
{
	error("%s\n", str);
}

// The CPU encodes instructions in a logical way, so most instructions actually follow patterns.
// These enums thus help with bit twiddling to compute opcodes
enum {
	REG_B = 0,
	REG_C,
	REG_D,
	REG_E,
	REG_H,
	REG_L,
	REG_HL_IND,
	REG_A
};

enum {
	REG_BC_IND = 0,
	REG_DE_IND,
	REG_HL_INDINC,
	REG_HL_INDDEC,
};

enum {
	REG_BC = 0,
	REG_DE = 1,
	REG_HL = 2,
	// LD/INC/ADD/DEC allow SP, PUSH/POP allow AF
	REG_SP = 3,
	REG_AF = 3
};

enum {
	CC_NZ = 0,
	CC_Z,
	CC_NC,
	CC_C
};


#line 470 "src/asm/parser.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_YY_SRC_ASM_PARSER_H_INCLUDED
# define YY_YY_SRC_ASM_PARSER_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    T_EOF = 0,
    T_NUMBER = 3,
    T_STRING = 4,
    T_PERIOD = 5,
    T_COMMA = 6,
    T_COLON = 7,
    T_LBRACK = 8,
    T_RBRACK = 9,
    T_LPAREN = 10,
    T_RPAREN = 11,
    T_NEWLINE = 12,
    T_OP_LOGICNOT = 13,
    T_OP_LOGICAND = 14,
    T_OP_LOGICOR = 15,
    T_OP_LOGICGT = 16,
    T_OP_LOGICLT = 17,
    T_OP_LOGICGE = 18,
    T_OP_LOGICLE = 19,
    T_OP_LOGICNE = 20,
    T_OP_LOGICEQU = 21,
    T_OP_ADD = 22,
    T_OP_SUB = 23,
    T_OP_OR = 24,
    T_OP_XOR = 25,
    T_OP_AND = 26,
    T_OP_SHL = 27,
    T_OP_SHR = 28,
    T_OP_MUL = 29,
    T_OP_DIV = 30,
    T_OP_MOD = 31,
    T_OP_NOT = 32,
    NEG = 33,
    T_OP_EXP = 34,
    T_OP_DEF = 35,
    T_OP_BANK = 36,
    T_OP_ALIGN = 37,
    T_OP_SIN = 38,
    T_OP_COS = 39,
    T_OP_TAN = 40,
    T_OP_ASIN = 41,
    T_OP_ACOS = 42,
    T_OP_ATAN = 43,
    T_OP_ATAN2 = 44,
    T_OP_FDIV = 45,
    T_OP_FMUL = 46,
    T_OP_POW = 47,
    T_OP_LOG = 48,
    T_OP_ROUND = 49,
    T_OP_CEIL = 50,
    T_OP_FLOOR = 51,
    T_OP_HIGH = 52,
    T_OP_LOW = 53,
    T_OP_ISCONST = 54,
    T_OP_STRCMP = 55,
    T_OP_STRIN = 56,
    T_OP_STRRIN = 57,
    T_OP_STRSUB = 58,
    T_OP_STRLEN = 59,
    T_OP_STRCAT = 60,
    T_OP_STRUPR = 61,
    T_OP_STRLWR = 62,
    T_OP_STRRPL = 63,
    T_OP_STRFMT = 64,
    T_LABEL = 65,
    T_ID = 66,
    T_LOCAL_ID = 67,
    T_ANON = 68,
    T_POP_EQU = 69,
    T_POP_SET = 70,
    T_POP_EQUAL = 71,
    T_POP_EQUS = 72,
    T_POP_INCLUDE = 73,
    T_POP_PRINT = 74,
    T_POP_PRINTLN = 75,
    T_POP_PRINTF = 76,
    T_POP_PRINTT = 77,
    T_POP_PRINTV = 78,
    T_POP_PRINTI = 79,
    T_POP_IF = 80,
    T_POP_ELIF = 81,
    T_POP_ELSE = 82,
    T_POP_ENDC = 83,
    T_POP_EXPORT = 84,
    T_POP_DB = 85,
    T_POP_DS = 86,
    T_POP_DW = 87,
    T_POP_DL = 88,
    T_POP_SECTION = 89,
    T_POP_FRAGMENT = 90,
    T_POP_RB = 91,
    T_POP_RW = 92,
    T_POP_MACRO = 93,
    T_POP_ENDM = 94,
    T_POP_RSRESET = 95,
    T_POP_RSSET = 96,
    T_POP_UNION = 97,
    T_POP_NEXTU = 98,
    T_POP_ENDU = 99,
    T_POP_INCBIN = 100,
    T_POP_REPT = 101,
    T_POP_FOR = 102,
    T_POP_CHARMAP = 103,
    T_POP_NEWCHARMAP = 104,
    T_POP_SETCHARMAP = 105,
    T_POP_PUSHC = 106,
    T_POP_POPC = 107,
    T_POP_SHIFT = 108,
    T_POP_ENDR = 109,
    T_POP_BREAK = 110,
    T_POP_LOAD = 111,
    T_POP_ENDL = 112,
    T_POP_FAIL = 113,
    T_POP_WARN = 114,
    T_POP_FATAL = 115,
    T_POP_ASSERT = 116,
    T_POP_STATIC_ASSERT = 117,
    T_POP_PURGE = 118,
    T_POP_REDEF = 119,
    T_POP_POPS = 120,
    T_POP_PUSHS = 121,
    T_POP_POPO = 122,
    T_POP_PUSHO = 123,
    T_POP_OPT = 124,
    T_SECT_ROM0 = 125,
    T_SECT_ROMX = 126,
    T_SECT_WRAM0 = 127,
    T_SECT_WRAMX = 128,
    T_SECT_HRAM = 129,
    T_SECT_VRAM = 130,
    T_SECT_SRAM = 131,
    T_SECT_OAM = 132,
    T_Z80_ADC = 133,
    T_Z80_ADD = 134,
    T_Z80_AND = 135,
    T_Z80_BIT = 136,
    T_Z80_CALL = 137,
    T_Z80_CCF = 138,
    T_Z80_CP = 139,
    T_Z80_CPL = 140,
    T_Z80_DAA = 141,
    T_Z80_DEC = 142,
    T_Z80_DI = 143,
    T_Z80_EI = 144,
    T_Z80_HALT = 145,
    T_Z80_INC = 146,
    T_Z80_JP = 147,
    T_Z80_JR = 148,
    T_Z80_LD = 149,
    T_Z80_LDI = 150,
    T_Z80_LDD = 151,
    T_Z80_LDH = 152,
    T_Z80_NOP = 153,
    T_Z80_OR = 154,
    T_Z80_POP = 155,
    T_Z80_PUSH = 156,
    T_Z80_RES = 157,
    T_Z80_RET = 158,
    T_Z80_RETI = 159,
    T_Z80_RST = 160,
    T_Z80_RL = 161,
    T_Z80_RLA = 162,
    T_Z80_RLC = 163,
    T_Z80_RLCA = 164,
    T_Z80_RR = 165,
    T_Z80_RRA = 166,
    T_Z80_RRC = 167,
    T_Z80_RRCA = 168,
    T_Z80_SBC = 169,
    T_Z80_SCF = 170,
    T_Z80_STOP = 171,
    T_Z80_SLA = 172,
    T_Z80_SRA = 173,
    T_Z80_SRL = 174,
    T_Z80_SUB = 175,
    T_Z80_SWAP = 176,
    T_Z80_XOR = 177,
    T_TOKEN_A = 178,
    T_TOKEN_B = 179,
    T_TOKEN_C = 180,
    T_TOKEN_D = 181,
    T_TOKEN_E = 182,
    T_TOKEN_H = 183,
    T_TOKEN_L = 184,
    T_MODE_AF = 185,
    T_MODE_BC = 186,
    T_MODE_DE = 187,
    T_MODE_SP = 188,
    T_MODE_HW_C = 189,
    T_MODE_HL = 190,
    T_MODE_HL_DEC = 191,
    T_MODE_HL_INC = 192,
    T_CC_NZ = 193,
    T_CC_Z = 194,
    T_CC_NC = 195
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 410 "src/asm/parser.y"

	char tzSym[MAXSYMLEN + 1];
	char tzString[MAXSTRLEN + 1];
	struct Expression sVal;
	int32_t nConstValue;
	enum SectionModifier sectMod;
	struct SectionSpec sectSpec;
	struct MacroArgs *macroArg;
	enum AssertionType assertType;
	struct DsArgList dsArgs;
	struct {
		int32_t start;
		int32_t stop;
		int32_t step;
	} forArgs;
	struct StrFmtArgList strfmtArgs;

#line 737 "src/asm/parser.c"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_SRC_ASM_PARSER_H_INCLUDED  */



#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))

/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   2148

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  196
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  197
/* YYNRULES -- Number of rules.  */
#define YYNRULES  489
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  858

#define YYUNDEFTOK  2
#define YYMAXUTOK   450


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX) (YYX)

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   610,   610,   617,   618,   621,   622,   623,   624,   625,
     628,   629,   630,   641,   642,   643,   644,   645,   647,   648,
     651,   661,   678,   694,   699,   699,   707,   707,   715,   715,
     716,   716,   718,   719,   722,   725,   728,   731,   735,   741,
     741,   749,   752,   758,   759,   760,   761,   762,   763,   766,
     767,   768,   769,   770,   771,   772,   773,   774,   775,   776,
     777,   778,   779,   780,   781,   782,   783,   784,   785,   786,
     787,   788,   789,   790,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   805,   806,
     807,   808,   809,   812,   812,   815,   818,   818,   821,   824,
     827,   833,   839,   845,   851,   862,   862,   868,   869,   872,
     875,   878,   881,   884,   887,   890,   893,   894,   895,   896,
     899,   911,   923,   928,   935,   936,   939,   942,   945,   945,
     952,   954,   956,   952,   963,   968,   973,   980,   986,   988,
     990,   986,   995,   995,  1002,  1005,  1008,  1011,  1014,  1017,
    1020,  1023,  1024,  1030,  1036,  1044,  1045,  1048,  1049,  1052,
    1053,  1056,  1061,  1064,  1069,  1075,  1081,  1087,  1092,  1097,
    1097,  1104,  1105,  1108,  1111,  1114,  1115,  1118,  1121,  1128,
    1133,  1138,  1145,  1152,  1153,  1156,  1159,  1162,  1165,  1168,
    1172,  1178,  1179,  1182,  1183,  1186,  1192,  1198,  1204,  1210,
    1222,  1223,  1226,  1229,  1238,  1239,  1242,  1245,  1254,  1255,
    1258,  1261,  1270,  1278,  1286,  1294,  1303,  1304,  1314,  1315,
    1316,  1319,  1322,  1325,  1328,  1331,  1334,  1337,  1340,  1343,
    1346,  1349,  1352,  1355,  1358,  1361,  1364,  1367,  1370,  1373,
    1376,  1377,  1378,  1379,  1380,  1381,  1382,  1386,  1387,  1387,
    1396,  1399,  1402,  1405,  1408,  1411,  1414,  1417,  1420,  1423,
    1426,  1429,  1432,  1435,  1438,  1441,  1446,  1451,  1454,  1457,
    1465,  1476,  1487,  1488,  1491,  1494,  1497,  1500,  1503,  1506,
    1512,  1513,  1524,  1532,  1535,  1552,  1561,  1566,  1567,  1568,
    1571,  1572,  1573,  1574,  1575,  1576,  1577,  1578,  1581,  1582,
    1592,  1597,  1600,  1604,  1611,  1612,  1613,  1614,  1615,  1616,
    1617,  1618,  1619,  1620,  1621,  1622,  1623,  1624,  1625,  1626,
    1627,  1628,  1629,  1630,  1631,  1632,  1633,  1634,  1635,  1636,
    1637,  1638,  1639,  1640,  1641,  1642,  1643,  1644,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,
    1659,  1663,  1666,  1670,  1671,  1672,  1679,  1683,  1686,  1692,
    1696,  1702,  1705,  1709,  1712,  1715,  1718,  1719,  1722,  1725,
    1728,  1735,  1736,  1739,  1743,  1747,  1752,  1756,  1762,  1765,
    1770,  1773,  1778,  1784,  1790,  1793,  1798,  1799,  1802,  1803,
    1804,  1805,  1806,  1807,  1808,  1809,  1812,  1816,  1822,  1823,
    1829,  1833,  1846,  1851,  1856,  1860,  1868,  1874,  1880,  1898,
    1902,  1912,  1915,  1919,  1922,  1925,  1928,  1934,  1936,  1939,
    1942,  1948,  1951,  1957,  1960,  1966,  1969,  1975,  1978,  1988,
    1992,  1995,  1998,  2004,  2010,  2016,  2022,  2026,  2032,  2036,
    2040,  2046,  2050,  2053,  2056,  2057,  2060,  2061,  2064,  2065,
    2068,  2069,  2072,  2073,  2076,  2077,  2080,  2081,  2084,  2085,
    2088,  2089,  2092,  2093,  2094,  2095,  2098,  2099,  2100,  2101,
    2102,  2103,  2104,  2105,  2108,  2109,  2110,  2111,  2114,  2115,
    2116,  2117,  2120,  2121,  2122,  2123,  2126,  2127,  2130,  2131
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "$undefined", "\"number\"", "\"string\"",
  "\".\"", "\",\"", "\":\"", "\"[\"", "\"]\"", "\"(\"", "\")\"",
  "\"newline\"", "\"!\"", "\"&&\"", "\"||\"", "\">\"", "\"<\"", "\">=\"",
  "\"<=\"", "\"!=\"", "\"==\"", "\"+\"", "\"-\"", "\"|\"", "\"^\"",
  "\"&\"", "\"<<\"", "\">>\"", "\"*\"", "\"/\"", "\"%\"", "\"~\"", "NEG",
  "\"**\"", "\"DEF\"", "\"BANK\"", "\"ALIGN\"", "\"SIN\"", "\"COS\"",
  "\"TAN\"", "\"ASIN\"", "\"ACOS\"", "\"ATAN\"", "\"ATAN2\"", "\"FDIV\"",
  "\"FMUL\"", "\"POW\"", "\"LOG\"", "\"ROUND\"", "\"CEIL\"", "\"FLOOR\"",
  "\"HIGH\"", "\"LOW\"", "\"ISCONST\"", "\"STRCMP\"", "\"STRIN\"",
  "\"STRRIN\"", "\"STRSUB\"", "\"STRLEN\"", "\"STRCAT\"", "\"STRUPR\"",
  "\"STRLWR\"", "\"STRRPL\"", "\"STRFMT\"", "\"label\"", "\"identifier\"",
  "\"local identifier\"", "\"anonymous label\"", "\"EQU\"", "\"SET\"",
  "\"=\"", "\"EQUS\"", "\"INCLUDE\"", "\"PRINT\"", "\"PRINTLN\"",
  "\"PRINTF\"", "\"PRINTT\"", "\"PRINTV\"", "\"PRINTI\"", "\"IF\"",
  "\"ELIF\"", "\"ELSE\"", "\"ENDC\"", "\"EXPORT\"", "\"DB\"", "\"DS\"",
  "\"DW\"", "\"DL\"", "\"SECTION\"", "\"FRAGMENT\"", "\"RB\"", "\"RW\"",
  "\"MACRO\"", "\"ENDM\"", "\"RSRESET\"", "\"RSSET\"", "\"UNION\"",
  "\"NEXTU\"", "\"ENDU\"", "\"INCBIN\"", "\"REPT\"", "\"FOR\"",
  "\"CHARMAP\"", "\"NEWCHARMAP\"", "\"SETCHARMAP\"", "\"PUSHC\"",
  "\"POPC\"", "\"SHIFT\"", "\"ENDR\"", "\"BREAK\"", "\"LOAD\"", "\"ENDL\"",
  "\"FAIL\"", "\"WARN\"", "\"FATAL\"", "\"ASSERT\"", "\"STATIC_ASSERT\"",
  "\"PURGE\"", "\"REDEF\"", "\"POPS\"", "\"PUSHS\"", "\"POPO\"",
  "\"PUSHO\"", "\"OPT\"", "\"ROM0\"", "\"ROMX\"", "\"WRAM0\"", "\"WRAMX\"",
  "\"HRAM\"", "\"VRAM\"", "\"SRAM\"", "\"OAM\"", "\"adc\"", "\"add\"",
  "\"and\"", "\"bit\"", "\"call\"", "\"ccf\"", "\"cp\"", "\"cpl\"",
  "\"daa\"", "\"dec\"", "\"di\"", "\"ei\"", "\"halt\"", "\"inc\"",
  "\"jp\"", "\"jr\"", "\"ld\"", "\"ldi\"", "\"ldd\"", "\"ldh\"", "\"nop\"",
  "\"or\"", "\"pop\"", "\"push\"", "\"res\"", "\"ret\"", "\"reti\"",
  "\"rst\"", "\"rl\"", "\"rla\"", "\"rlc\"", "\"rlca\"", "\"rr\"",
  "\"rra\"", "\"rrc\"", "\"rrca\"", "\"sbc\"", "\"scf\"", "\"stop\"",
  "\"sla\"", "\"sra\"", "\"srl\"", "\"sub\"", "\"swap\"", "\"xor\"",
  "\"a\"", "\"b\"", "\"c\"", "\"d\"", "\"e\"", "\"h\"", "\"l\"", "\"af\"",
  "\"bc\"", "\"de\"", "\"sp\"", "\"$ff00+c\"", "\"hl\"", "\"hld/hl-\"",
  "\"hli/hl+\"", "\"nz\"", "\"z\"", "\"nc\"", "$accept", "asmfile",
  "lines", "plain_directive", "line", "line_directive", "if", "elif",
  "else", "endc", "def_id", "$@1", "redef_id", "$@2", "scoped_id",
  "scoped_anon_id", "label", "macro", "$@3", "macroargs",
  "assignment_directive", "directive", "trailing_comma", "equ",
  "set_or_equal", "set", "equs", "rb", "rw", "rl", "align", "opt", "$@4",
  "opt_list", "opt_list_entry", "popo", "pusho", "pops", "pushs", "fail",
  "warn", "assert_type", "assert", "shift", "load", "rept", "$@5", "for",
  "$@6", "$@7", "$@8", "for_args", "break", "macrodef", "$@9", "$@10",
  "$@11", "$@12", "rsset", "rsreset", "rs_uconst", "union", "nextu",
  "endu", "ds", "ds_args", "db", "dw", "dl", "def_equ", "def_set",
  "def_rb", "def_rw", "def_rl", "def_equs", "redef_equs", "purge", "$@13",
  "purge_list", "purge_list_entry", "export", "export_list",
  "export_list_entry", "include", "incbin", "charmap", "newcharmap",
  "setcharmap", "pushc", "popc", "print", "println", "print_exprs",
  "print_expr", "printt", "printv", "printi", "printf", "const_3bit",
  "constlist_8bit", "constlist_8bit_entry", "constlist_16bit",
  "constlist_16bit_entry", "constlist_32bit", "constlist_32bit_entry",
  "reloc_8bit", "reloc_8bit_no_str", "reloc_16bit", "reloc_16bit_no_str",
  "relocexpr", "relocexpr_no_str", "$@14", "uconst", "const",
  "const_no_str", "string", "strcat_args", "strfmt_args", "strfmt_va_args",
  "section", "sectmod", "sectiontype", "sectorg", "sectattrs",
  "cpu_command", "z80_adc", "z80_add", "z80_and", "z80_bit", "z80_call",
  "z80_ccf", "z80_cp", "z80_cpl", "z80_daa", "z80_dec", "z80_di", "z80_ei",
  "z80_halt", "z80_inc", "z80_jp", "z80_jr", "z80_ldi", "z80_ldd",
  "z80_ldio", "c_ind", "z80_ld", "z80_ld_hl", "z80_ld_sp", "z80_ld_mem",
  "z80_ld_cind", "z80_ld_rr", "z80_ld_r", "z80_ld_a", "z80_ld_ss",
  "z80_nop", "z80_or", "z80_pop", "z80_push", "z80_res", "z80_ret",
  "z80_reti", "z80_rl", "z80_rla", "z80_rlc", "z80_rlca", "z80_rr",
  "z80_rra", "z80_rrc", "z80_rrca", "z80_rst", "z80_sbc", "z80_scf",
  "z80_set", "z80_sla", "z80_sra", "z80_srl", "z80_stop", "z80_sub",
  "z80_swap", "z80_xor", "op_mem_ind", "op_a_r", "op_a_n", "T_MODE_A",
  "T_MODE_B", "T_MODE_C", "T_MODE_D", "T_MODE_E", "T_MODE_H", "T_MODE_L",
  "ccode", "reg_r", "reg_tt", "reg_ss", "reg_rr", "hl_ind_inc",
  "hl_ind_dec", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450
};
# endif

#define YYPACT_NINF (-441)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-286)

#define yytable_value_is_error(Yyn) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
    -441,    36,  1762,  -441,    10,  -441,    42,    51,  2080,  2080,
      68,  -441,  2080,  -441,   109,   123,  -441,  -441,  -441,  -441,
    -441,  1905,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,     8,  2080,  -441,  -441,   166,  2080,
    2080,  2080,  2080,    71,  -441,  -441,  2080,  2080,  2080,  2080,
    2080,  -441,    80,   135,   147,   149,   153,   178,   182,   198,
     200,   206,   210,   211,   212,   213,   227,   231,   232,   241,
     246,   252,   259,   261,   265,   269,   270,   271,   272,   273,
    -441,  -441,  -441,  -441,  -441,   831,  -441,   156,  -441,   286,
    -441,    31,   287,  -441,    95,  -441,  -441,  -441,  2080,  -441,
    2080,   166,  2080,  2080,  2080,   166,  2080,  2080,  -441,    39,
    2080,  2080,  2080,  2080,   -58,  -441,  2080,  -441,  -441,  -441,
     166,   166,   173,   218,  -441,  -441,  2080,   -58,  -441,   166,
     166,     5,     5,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    1560,  1090,  1560,  2080,   926,  -441,  1560,  -441,  -441,     3,
    -441,  -441,  -441,     3,   860,   926,   146,     1,    22,    27,
    -441,  1560,    67,    67,  2080,  -143,  -441,  2080,   356,  -441,
     356,  -441,   356,  -441,   356,  -441,  1560,  -441,  2080,   356,
     356,   356,  1560,   356,  1560,  -441,   -10,   161,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,   303,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,   724,   282,
     282,   282,   282,   307,   151,  2080,  2080,  2080,  2080,  2080,
    2080,  2080,  2080,  2080,  2080,  2080,  2080,  2080,  2080,  2080,
    2080,  2080,   166,   166,   166,   166,   166,    66,   166,   166,
     166,   166,  2080,  2080,  2080,  2080,  2080,  2080,  2080,  2080,
    2080,  2080,  2080,  2080,  2080,  2080,  2080,  2080,  2080,  2080,
    2080,  -441,  -441,  -441,  -441,  -441,   253,   314,  -441,   315,
    -441,  -441,   316,  -441,   831,    28,  -441,    79,   316,  -441,
    -441,  -441,  -441,  -441,   317,  -441,   325,  -441,  -441,    83,
     103,   329,   331,  -441,  -441,   104,   150,   332,  -441,   152,
     160,  -441,  -441,   166,  -441,   333,   334,   337,  -441,  -441,
     166,  -441,  -441,   339,   340,   341,  2080,  2080,    39,   278,
     345,   163,   344,   347,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,   831,  -441,  -441,   349,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,   352,   353,  -441,  -441,  -441,  -441,   359,
    -441,  -441,  -441,  -441,  -441,   831,   360,  -441,  -441,   357,
     358,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,   363,  -441,   365,  1024,   366,   369,   401,   404,
     405,   406,   410,   411,  -441,  -441,   172,   408,   413,   230,
     415,  1341,   417,   418,   419,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,   439,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  2080,   166,  2080,  2080,  2080,  2080,   166,  2080,  -441,
    -441,   107,   448,   449,   451,   452,   454,   455,   456,   459,
     466,   468,   470,   471,   472,   476,   479,   480,   745,   772,
     984,   473,   475,   477,   496,   495,  -441,  -441,    61,   497,
     502,   499,  -441,   507,  1306,  1145,   427,   427,   427,   427,
     427,   427,   543,   543,   216,   216,   216,   229,   229,   282,
     282,   282,  -441,   508,   511,   513,  -441,  2080,   346,   356,
    2080,  -441,  -441,    39,  -441,  2080,  -441,  2080,  2080,  -441,
    2080,  -441,   519,  2080,  2080,   460,   521,  -441,  -441,  -441,
     577,   523,  -441,   526,  -441,  -441,  -441,   345,  -441,   524,
    1185,  1253,  1560,  2080,    78,   356,  2080,   110,    87,  2080,
    2080,   531,   533,   537,   538,    85,   541,   545,   546,   547,
    2080,  2080,   338,  1409,   -29,   -40,  1642,   -29,   548,   367,
     550,   551,   553,   -29,   -29,   554,   356,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,   566,   552,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  2080,  2080,  2080,  2080,  2080,
    -441,  -441,  -441,  -441,  -441,  -441,   166,   166,   166,  2080,
    -441,   166,  -441,  -441,  -441,   166,   560,  -441,  -441,  -441,
    2080,  -441,  -441,  -441,  -441,  -441,  -441,   574,  -441,  -441,
    -441,   494,   575,  -441,  -441,   494,   166,   166,    39,  -441,
    -441,  -441,   571,   573,   599,   603,   604,   605,   606,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  1493,  -441,  -441,
    -441,   579,   618,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,   564,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,   622,   440,   623,   441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,   621,   624,   625,   626,   631,   634,   635,
     636,   628,  -441,   643,  2080,   638,   639,   646,  2080,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,   645,  2080,
     645,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  2080,   -29,   647,   -29,   648,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  2080,   166,   126,   141,
    -441,  -441,  2080,  -441,  2080,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,   644,   649,   642,   652,   650,   660,   660,
    -441,  -441,  -441,  2080,  -441,   158,  -441,   663,   664,  2080,
    2080,   659,    48,  -441,  2080,  -441,   666,  -441
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       3,     0,     0,     1,     0,    33,     0,    34,     0,     0,
       0,   138,     0,   130,     0,     0,     4,    11,    17,    18,
      19,     5,     9,    43,    44,    48,    45,    46,    47,    14,
      15,    16,    13,    12,    36,     0,    96,    97,     0,   146,
     146,   146,     0,    35,   219,   272,     0,     0,     0,     0,
       0,   248,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      28,    29,    31,    30,   218,   270,   216,     0,   217,     0,
      22,     0,     0,   269,     0,   137,    10,    24,     0,    39,
       0,     0,     0,   189,     0,     0,     0,     0,    23,     0,
     155,     0,   157,   159,   287,   145,     0,   148,   149,   150,
       0,     0,     0,     0,   186,   187,   124,   287,   127,     0,
       0,   116,   116,   169,    26,   112,   113,   110,   111,   105,
       0,     0,     0,     0,     0,   361,     0,   364,   365,     0,
     368,   369,   370,     0,     0,     0,     0,     0,     0,     0,
     411,     0,     0,     0,     0,   417,   419,     0,     0,   421,
       0,   423,     0,   425,     0,   427,     0,   431,   436,     0,
       0,     0,     0,     0,     0,    50,     0,     0,     7,     8,
      92,    91,    89,    90,    87,    88,    76,    77,    78,    75,
      74,    64,    63,    65,    66,    67,    61,    58,    59,    60,
      79,    80,    81,    82,    83,    84,    85,    86,    57,    49,
      68,    69,    70,    71,    72,    73,    51,    52,    54,    55,
      56,    53,    62,     6,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     322,   321,   323,   320,   392,   393,   388,   389,   390,   394,
     395,   391,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    38,     0,
      95,    99,   100,   147,   101,   102,    98,    37,     0,   220,
     240,   241,   242,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    20,    21,   139,   128,   131,     0,   103,    41,     0,
     199,   178,    93,   191,     0,   216,   193,   217,    93,   198,
     195,   196,   197,   177,    93,   175,    93,   200,   202,   216,
     217,   151,    93,   204,   206,   216,   217,    93,   208,   216,
     217,   289,   288,     0,   144,   179,     0,   183,   185,   125,
       0,   114,   115,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   448,   450,   452,   454,   456,   458,
     460,   446,   212,   351,   350,   473,   466,   467,   468,   469,
     470,   471,   444,     0,     0,   353,   352,   357,   356,     0,
     465,   462,   463,   464,   359,   214,     0,   363,   362,     0,
       0,   478,   479,   481,   480,   473,   366,   367,   371,   372,
     375,   373,     0,   376,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   484,   485,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   412,   477,   474,   475,
     476,   414,   415,     0,   418,   428,   420,   422,   424,   426,
     430,   429,   437,   433,   434,   435,   439,   438,   440,   442,
     441,     0,     0,   146,   146,   146,     0,     0,     0,   142,
     268,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   274,   280,     0,     0,
       0,     0,   283,     0,   222,   221,   224,   225,   226,   227,
     228,   223,   229,   230,   232,   231,   233,   234,   235,   236,
     237,   238,   239,     0,     0,     0,    25,     0,    40,     0,
      94,   188,   190,    94,   174,    94,   156,     0,    94,   158,
      94,   160,     0,     0,     0,     0,     0,   118,   117,   119,
     120,   122,   173,    93,   171,    27,   109,   106,   107,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   161,   167,   164,
     165,   166,   162,   168,   163,     0,     0,   246,   247,   257,
     258,   259,   260,   261,   262,     0,     0,     0,     0,     0,
     250,   251,   252,   243,   244,   245,     0,     0,     0,     0,
     267,     0,   275,   276,   277,     0,   282,   279,   140,   129,
       0,   104,    42,   432,   192,   176,   201,    93,   153,   205,
     209,     0,   180,   182,   184,     0,     0,     0,    94,   170,
     108,   472,     0,     0,     0,     0,     0,     0,     0,   447,
     445,   355,   354,   358,   360,   374,   377,     0,   482,   483,
     387,     0,     0,   488,   486,   443,   386,   409,   410,   398,
     399,     0,   397,   402,   400,   401,   404,   406,   408,   405,
     407,   403,     0,     0,     0,     0,   385,   383,   384,   382,
     416,   143,   249,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   281,     0,     0,     0,     0,   134,    94,   152,
     293,   292,   290,   295,   294,   291,   296,   297,   298,     0,
     298,   121,   123,   172,   449,   451,   455,   459,   453,   457,
     461,   487,   489,     0,     0,     0,     0,     0,   263,   253,
     254,   255,   256,   264,   265,   266,     0,     0,   216,   217,
     141,   132,     0,   154,     0,   300,   181,   300,   396,   378,
     379,   380,   381,     0,     0,     0,   135,     0,   286,   126,
     273,   278,   133,     0,   299,     0,   136,     0,     0,     0,
       0,     0,     0,   303,     0,   301,     0,   302
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,   -90,  -296,  -441,  -441,  -441,  -441,
    -441,  -441,  -251,  -441,    15,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,    69,  -441,  -441,  -441,  -441,  -441,
    -441,   555,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
       2,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,   -35,
    -441,  -441,    97,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,   580,   105,  -441,  -441,  -441,  -441,  -117,  -441,
      92,  -441,   100,  -441,    99,  -165,  -441,  -134,  -441,    94,
     -96,  -441,   -12,    -4,  -441,   -37,  -441,  -441,  -441,  -441,
     563,   -13,   -95,  -133,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -141,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
    -135,   327,   403,  -113,  -441,  -440,  -441,  -441,  -441,  -441,
     -67,    -3,   534,  -150,    60,  -441,  -441
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,     2,    15,    16,    17,    18,    19,    20,   185,
     186,   356,   187,   409,    83,    84,    21,   188,   358,   578,
      22,   189,   581,    23,    42,    24,    25,    26,    27,    28,
     190,   191,   410,   607,   608,   192,   193,   194,   195,   196,
     197,   406,   198,   199,   200,    29,   574,    30,    94,   575,
     835,   776,    31,    32,    91,   573,   775,   655,   201,   202,
     292,   203,   204,   205,   206,   697,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   408,   603,   604,
     218,   374,   375,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   362,   363,   228,   229,   230,   231,   359,   376,
     377,   382,   383,   387,   388,   421,   378,   628,   384,    85,
      86,   303,   293,    93,   366,    88,   548,   553,   686,   232,
     393,   788,   825,   838,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   470,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     471,   423,   424,   455,   426,   427,   428,   429,   430,   431,
     446,   432,   491,   457,   473,   474,   475
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      92,   291,   495,   459,    87,    89,   365,   365,   522,   476,
     444,   411,   477,   502,   379,   288,   385,   389,   482,   373,
     461,   463,    33,   477,   483,   629,   439,   425,   425,   425,
     479,   290,   391,   425,  -271,   481,     3,   440,   296,   392,
    -271,   629,   294,   295,   478,   480,   484,   493,   425,    34,
     441,   442,   443,   477,   854,   449,   450,   855,    43,   511,
      36,    37,   512,   425,   361,   367,   367,   681,   370,   425,
      45,   425,   682,   380,   477,   386,   390,   546,   297,   477,
      90,   513,   514,   395,   396,  -194,   357,   462,   464,  -213,
     304,  -194,   401,   402,   711,  -213,   360,   353,   494,   381,
     369,   289,   371,   372,   394,    80,    81,   731,   732,  -203,
    -215,    35,    36,    37,    38,  -203,  -215,   582,   403,   404,
     405,    95,   399,   584,    73,   586,    75,    76,    77,    78,
      79,   589,  -284,    39,    40,    96,   591,  -284,   414,   360,
     298,   299,   300,   301,   302,   305,   456,  -285,   744,   414,
     458,   515,  -285,   472,   465,    45,  -207,   306,  -210,   307,
     360,   355,  -207,   308,  -210,   496,  -211,   497,   351,   498,
      45,   499,  -211,    80,    81,    82,   503,   504,   505,   414,
     508,   414,   415,   416,   417,   418,   419,   420,   309,   451,
     452,   453,   310,   454,   847,   848,   364,   364,   449,   450,
     414,   516,   518,    41,   364,   414,   364,   364,   311,    73,
     312,    75,    76,    77,    78,    79,   313,    80,    81,    82,
     314,   315,   316,   317,    73,   656,    75,    76,    77,    78,
      79,    36,    37,   517,   422,   422,   422,   318,   445,   397,
     422,   319,   320,   345,   346,   347,   348,   349,   445,   445,
     350,   321,   487,   488,   489,   422,   322,   490,   347,   348,
     349,   422,   323,   350,   451,   452,   453,   523,   454,   324,
     422,   325,   422,   716,   717,   326,   422,   718,   422,   327,
     328,   329,   330,   331,   398,   541,   542,   543,   544,   545,
     547,   549,   550,   551,   552,   712,   713,   714,   352,   354,
     715,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   519,   350,   521,   602,   576,
     577,   579,   580,   583,   414,   415,   416,   417,   418,   419,
     420,   585,   466,   467,   468,   587,   469,   588,   590,   593,
     594,    44,    45,   595,   605,   597,   598,   599,    46,   606,
     692,    47,   709,   609,   610,   612,   592,   611,   613,   614,
      48,    49,   638,   596,   411,   615,   616,   617,   618,   619,
      50,   620,   630,    51,    52,   631,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,   601,    80,    81,    82,   632,   449,   450,
     633,   634,   635,   538,   539,   540,   636,   637,   639,   640,
     641,   642,   698,   643,   644,   645,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   646,   779,   719,   721,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   657,
     658,   350,   659,   660,   722,   661,   662,   663,   435,   437,
     664,   746,   665,   447,   666,   648,   667,   668,   669,   676,
     653,   677,   724,   678,   365,   725,   726,   670,   485,   379,
     671,   672,   385,   373,   389,   747,   737,   738,   740,   742,
     600,   748,   679,   500,   758,   685,   680,   647,   683,   506,
     759,   509,   652,   684,   654,   649,   650,   651,   687,   690,
     688,   743,   745,   689,   751,   701,   704,   705,   739,   707,
     756,   757,   708,   711,   414,   415,   416,   417,   418,   419,
     420,   727,   728,   367,   436,   438,   729,   730,   380,   448,
     733,   386,   712,   390,   734,   735,   736,   752,   753,   445,
     754,   755,   481,   762,   486,   691,   774,   342,   343,   344,
     345,   346,   347,   348,   349,   445,   693,   350,   761,   501,
     778,   789,   794,   706,   795,   507,   803,   510,   801,   702,
     703,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   720,
     796,   350,   723,   823,   797,   798,   799,   800,   602,   780,
     781,   782,   783,   784,   785,   786,   787,   802,   804,   806,
     805,   807,   808,   749,   816,   809,   810,   811,   828,   768,
     769,   770,   812,   760,   772,   813,   814,   815,   773,   817,
     820,   821,   822,   824,   842,   840,   830,   832,   843,   844,
     841,   763,   764,   765,   766,   767,   845,   771,   853,   791,
     792,   849,   850,   793,   364,   857,   710,   696,   818,   364,
     695,   422,   364,   368,   364,   694,   777,   407,   699,   700,
     400,   829,   790,   831,   839,   827,   750,   492,     0,     0,
       0,     0,     0,     0,   538,   539,   422,   422,     0,     0,
     445,     0,     0,   445,   445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   445,   445,   445,   445,     0,     0,
     422,     0,     0,     0,     0,   520,     0,   819,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   673,     0,   350,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,     0,   350,
     834,     0,     0,   674,     0,   826,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   833,     0,   350,     0,     0,     0,
       0,     0,   837,     0,     0,     0,     0,     0,   836,     0,
       0,   539,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   851,   852,   846,
       0,     0,   856,     0,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,    44,    45,   350,     0,     0,   364,     0,
      46,     0,   422,    47,     0,     0,     0,     0,     0,     0,
       0,     0,    48,    49,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,    51,    52,   422,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,     0,    80,    81,    82,    44,
      45,     0,     0,     0,     0,     0,    46,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,    48,    49,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,    51,    52,     0,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,     0,    80,    81,    82,   675,     0,     0,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,     0,   350,     0,
       0,     0,     0,     0,     0,     0,     0,    44,    45,     0,
       0,     0,     0,     0,    46,     0,     0,    47,     0,     0,
     440,     0,     0,     0,     0,     0,    48,    49,     0,     0,
     460,     0,     0,   441,   442,   443,    50,     0,     0,    51,
      52,     0,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,   621,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,     0,
      80,    81,    82,    44,    45,     0,     0,     0,   411,     0,
      46,     0,     0,    47,     0,     0,   440,     0,     0,     0,
       0,     0,    48,    49,     0,     0,     0,     0,     0,   441,
     442,   443,    50,     0,     0,    51,    52,     0,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,   412,   413,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,     0,    80,    81,    82,   332,
       0,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,     0,   350,
       0,     0,     0,     0,     0,     0,     0,     0,    44,    45,
       0,     0,     0,     0,     0,    46,     0,     0,    47,     0,
       0,     0,     0,     0,   416,     0,     0,    48,    49,     0,
     622,   623,     0,   624,   625,   626,   627,    50,     0,     0,
      51,    52,     0,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
       0,    80,    81,    82,     0,     0,    44,    45,     0,     0,
       0,     0,     0,    46,     0,     0,    47,     0,   414,   415,
     416,   417,   418,   419,   420,    48,    49,     0,   433,     0,
     434,     0,     0,     0,     0,    50,     0,     0,    51,    52,
       0,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,     0,    80,
      81,    82,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,     0,
     350,     0,     0,     0,    44,    45,     0,     0,     0,     0,
       0,    46,     0,     0,    47,     0,     0,     0,     0,     0,
       0,     0,     0,    48,    49,     0,     0,     0,     0,     0,
     712,   713,   714,    50,     0,   715,    51,    52,     0,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,   621,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,     0,    80,    81,    82,
       0,     0,    44,    45,     0,     0,     0,     0,     0,    46,
       0,     0,    47,     0,     0,     0,     0,     0,     0,     0,
       0,    48,    49,     0,     0,     0,     0,     0,     0,   716,
     717,    50,     0,   718,    51,    52,     0,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,     0,    80,    81,    82,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    44,    45,     0,     0,
       0,     0,     0,    46,     0,     0,    47,     0,     0,     0,
       0,     0,     0,     0,     0,    48,    49,     0,     0,     0,
       0,   416,     0,     0,     0,    50,     0,     0,    51,    52,
     624,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,     0,    80,
      81,    82,     0,    44,    45,     0,     0,     0,   411,     0,
      46,     0,     0,    47,     0,     0,     0,     0,     0,     0,
       0,     0,    48,    49,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,    51,    52,   741,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,   412,   413,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,     0,    80,    81,    82,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    44,    45,     0,     0,     0,
     465,     0,    46,     0,     0,    47,     0,     0,     0,     0,
       0,     0,     0,     0,    48,    49,     0,     0,     0,     0,
       0,     0,     0,     0,    50,     0,     0,    51,    52,   716,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,   412,   413,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,     0,    80,    81,
      82,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   414,   415,
     416,   417,   418,   419,   420,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    -2,     4,     0,     0,     0,     0,     0,     5,
       0,     0,     0,     0,   -32,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   -32,     0,   -32,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     414,   415,   416,   417,   418,   419,   420,     6,   -32,     7,
       0,     0,   -32,     0,     0,   -32,   -32,   -32,   -32,   -32,
     -32,   -32,     8,     9,    10,   -32,   -32,   -32,   -32,   -32,
     -32,   -32,     0,     0,     0,    11,     0,   -32,   -32,   -32,
     -32,   -32,   -32,    12,    13,   -32,   -32,   -32,   -32,   -32,
     -32,     0,    14,   -32,   -32,   -32,   -32,     0,   -32,   -32,
     -32,   -32,   -32,   -32,   -32,   -32,   -32,     0,     0,     0,
       0,     0,     0,     0,     0,   -32,   -32,   -32,   -32,   -32,
     -32,   -32,   -32,   -32,   -32,   -32,   -32,   -32,   -32,   -32,
     -32,   -32,   -32,   -32,   -32,   -32,   -32,   -32,   -32,   -32,
     -32,   -32,   -32,   -32,   -32,   -32,   -32,   -32,   -32,   -32,
     -32,   -32,   -32,   -32,   -32,   -32,   -32,   -32,   -32,   -32,
      97,     0,    98,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    99,     0,     0,     0,   100,     0,     0,   101,   102,
     103,   104,   105,   106,   107,     0,     0,     0,   108,   109,
     110,   111,   112,   113,   114,     0,     0,     0,     0,     0,
     115,   116,   117,   118,   119,   120,     0,     0,   121,   122,
     123,   124,   125,   126,     0,     0,   127,   128,   129,   130,
       0,   131,   132,   133,   134,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    44,    45,     0,     0,     0,     0,     0,
      46,     0,     0,    47,     0,     0,     0,     0,     0,     0,
       0,     0,    48,    49,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,    51,    52,     0,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,     0,    80,    81,    82
};

static const yytype_int16 yycheck[] =
{
      12,    38,   167,   153,     8,     9,   102,   103,   304,     8,
     144,     8,    52,   178,   110,     7,   112,   113,   159,   109,
     154,   155,    12,    52,   159,   465,   143,   140,   141,   142,
       8,    35,    90,   146,     6,     8,     0,   180,    42,    97,
      12,   481,    40,    41,   157,   158,   159,   164,   161,     7,
     193,   194,   195,    52,     6,    52,    53,     9,     7,    69,
      70,    71,    72,   176,   101,   102,   103,     6,   105,   182,
       4,   184,    11,   110,    52,   112,   113,    11,     7,    52,
      12,    91,    92,   120,   121,     6,    98,   154,   155,     6,
      10,    12,   129,   130,     9,    12,   100,    66,   165,   111,
     104,    93,   106,   107,   116,    66,    67,    22,    23,     6,
       6,    69,    70,    71,    72,    12,    12,   368,   113,   114,
     115,    12,   126,   374,    58,   376,    60,    61,    62,    63,
      64,   382,     6,    91,    92,    12,   387,    11,   178,   143,
      46,    47,    48,    49,    50,    10,   149,     6,   188,   178,
     153,   161,    11,   156,     8,     4,     6,    10,     6,    10,
     164,    66,    12,    10,    12,   168,     6,   170,    12,   172,
       4,   174,    12,    66,    67,    68,   179,   180,   181,   178,
     183,   178,   179,   180,   181,   182,   183,   184,    10,   186,
     187,   188,    10,   190,    36,    37,   102,   103,    52,    53,
     178,   186,   187,   161,   110,   178,   112,   113,    10,    58,
      10,    60,    61,    62,    63,    64,    10,    66,    67,    68,
      10,    10,    10,    10,    58,   521,    60,    61,    62,    63,
      64,    70,    71,    72,   140,   141,   142,    10,   144,    66,
     146,    10,    10,    27,    28,    29,    30,    31,   154,   155,
      34,    10,   185,   186,   187,   161,    10,   190,    29,    30,
      31,   167,    10,    34,   186,   187,   188,   304,   190,    10,
     176,    10,   178,   186,   187,    10,   182,   190,   184,    10,
      10,    10,    10,    10,    66,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   185,   186,   187,    12,    12,
     190,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    12,    34,    10,   408,    66,
       6,     6,     6,     6,   178,   179,   180,   181,   182,   183,
     184,     6,   186,   187,   188,     6,   190,     6,     6,     6,
       6,     3,     4,     6,    66,     6,     6,     6,    10,     4,
       4,    13,   603,   190,    10,     6,   393,    10,     6,     6,
      22,    23,   190,   400,     8,     6,     6,    10,    10,     6,
      32,     6,     6,    35,    36,     6,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,   407,    66,    67,    68,     6,    52,    53,
       6,     6,     6,   319,   320,   321,     6,     6,    10,     6,
     190,     6,   587,     6,     6,     6,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,     6,   697,   612,   613,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    11,
      11,    34,    11,    11,   614,    11,    11,    11,   141,   142,
      11,   636,     6,   146,     6,   512,     6,     6,     6,     6,
     517,     6,   616,     6,   580,   619,   620,    11,   161,   585,
      11,    11,   588,   583,   590,   636,   630,   631,   632,   633,
     406,   636,     6,   176,   645,     6,    11,   511,    11,   182,
     645,   184,   516,    11,   518,   513,   514,   515,    11,     6,
      12,   634,   635,    12,   637,     6,    66,     6,   190,     6,
     643,   644,     6,     9,   178,   179,   180,   181,   182,   183,
     184,    10,     9,   580,   141,   142,     9,     9,   585,   146,
       9,   588,   185,   590,     9,     9,     9,     9,     8,   465,
       9,     8,     8,    11,   161,   577,     6,    24,    25,    26,
      27,    28,    29,    30,    31,   481,   579,    34,    12,   176,
       6,     6,    11,     6,    11,   182,    22,   184,     9,   593,
     594,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,   612,
      11,    34,   615,   778,    11,    11,    11,    11,   708,   125,
     126,   127,   128,   129,   130,   131,   132,     9,     6,     6,
     190,   190,    11,   636,     6,    11,    11,    11,   803,   676,
     677,   678,    11,   646,   681,    11,    11,    11,   685,     6,
      12,    12,     6,     8,    12,    11,     9,     9,     6,     9,
      11,   665,   666,   667,   668,   669,     6,   679,     9,   706,
     707,     8,     8,   708,   580,     9,   607,   585,   774,   585,
     583,   587,   588,   103,   590,   580,   690,   132,   588,   590,
     127,   804,   705,   806,   827,   790,   636,   163,    -1,    -1,
      -1,    -1,    -1,    -1,   610,   611,   612,   613,    -1,    -1,
     616,    -1,    -1,   619,   620,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   630,   631,   632,   633,    -1,    -1,
     636,    -1,    -1,    -1,    -1,    11,    -1,   774,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    11,    -1,    34,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    34,
     817,    -1,    -1,    11,    -1,   789,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,   816,    -1,    34,    -1,    -1,    -1,
      -1,    -1,   824,    -1,    -1,    -1,    -1,    -1,   822,    -1,
      -1,   727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   849,   850,   843,
      -1,    -1,   854,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,     3,     4,    34,    -1,    -1,   774,    -1,
      10,    -1,   778,    13,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    35,    36,   803,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,     3,
       4,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,
      -1,    35,    36,    -1,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    11,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    34,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
     180,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    -1,
     190,    -1,    -1,   193,   194,   195,    32,    -1,    -1,    35,
      36,    -1,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,     3,     4,    -1,    -1,    -1,     8,    -1,
      10,    -1,    -1,    13,    -1,    -1,   180,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    -1,    -1,    -1,    -1,   193,
     194,   195,    32,    -1,    -1,    35,    36,    -1,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    14,
      -1,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    34,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    -1,    -1,   180,    -1,    -1,    22,    23,    -1,
     186,   187,    -1,   189,   190,   191,   192,    32,    -1,    -1,
      35,    36,    -1,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    -1,    -1,     3,     4,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,   178,   179,
     180,   181,   182,   183,   184,    22,    23,    -1,   188,    -1,
     190,    -1,    -1,    -1,    -1,    32,    -1,    -1,    35,    36,
      -1,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      34,    -1,    -1,    -1,     3,     4,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,    23,    -1,    -1,    -1,    -1,    -1,
     185,   186,   187,    32,    -1,   190,    35,    36,    -1,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      -1,    -1,     3,     4,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    22,    23,    -1,    -1,    -1,    -1,    -1,    -1,   186,
     187,    32,    -1,   190,    35,    36,    -1,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,     4,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    -1,    -1,
      -1,   180,    -1,    -1,    -1,    32,    -1,    -1,    35,    36,
     189,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    -1,     3,     4,    -1,    -1,    -1,     8,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    35,    36,   188,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,    -1,    -1,    -1,
       8,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    23,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    35,    36,   186,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     0,     1,    -1,    -1,    -1,    -1,    -1,     7,
      -1,    -1,    -1,    -1,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    37,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,    65,    66,    67,
      -1,    -1,    70,    -1,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    -1,    -1,    -1,    93,    -1,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,   111,   112,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
      35,    -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    70,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    -1,    -1,    -1,    83,    84,
      85,    86,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,    -1,    -1,   103,   104,
     105,   106,   107,   108,    -1,    -1,   111,   112,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,     3,     4,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    35,    36,    -1,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   197,   198,     0,     1,     7,    65,    67,    80,    81,
      82,    93,   101,   102,   110,   199,   200,   201,   202,   203,
     204,   212,   216,   219,   221,   222,   223,   224,   225,   241,
     243,   248,   249,    12,     7,    69,    70,    71,    72,    91,
      92,   161,   220,     7,     3,     4,    10,    13,    22,    23,
      32,    35,    36,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      66,    67,    68,   210,   211,   305,   306,   309,   311,   309,
      12,   250,   308,   309,   244,    12,    12,    35,    37,    66,
      70,    73,    74,    75,    76,    77,    78,    79,    83,    84,
      85,    86,    87,    88,    89,    95,    96,    97,    98,    99,
     100,   103,   104,   105,   106,   107,   108,   111,   112,   113,
     114,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   205,   206,   208,   213,   217,
     226,   227,   231,   232,   233,   234,   235,   236,   238,   239,
     240,   254,   255,   257,   258,   259,   260,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   276,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   290,   291,
     292,   293,   315,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,     7,    93,
     309,   311,   256,   308,   256,   256,   309,     7,   305,   305,
     305,   305,   305,   307,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
      10,    10,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      34,    12,    12,    66,    12,    66,   207,   308,   214,   294,
     309,   311,   288,   289,   305,   306,   310,   311,   288,   309,
     311,   309,   309,   210,   277,   278,   295,   296,   302,   306,
     311,   308,   297,   298,   304,   306,   311,   299,   300,   306,
     311,    90,    97,   316,   308,   311,   311,    66,    66,   309,
     316,   311,   311,   113,   114,   115,   237,   237,   273,   209,
     228,     8,    52,    53,   178,   179,   180,   181,   182,   183,
     184,   301,   305,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   387,   188,   190,   377,   378,   377,   378,   294,
     180,   193,   194,   195,   303,   305,   386,   377,   378,    52,
      53,   186,   187,   188,   190,   379,   387,   389,   387,   389,
     190,   303,   386,   303,   386,     8,   186,   187,   188,   190,
     340,   376,   387,   390,   391,   392,     8,    52,   379,     8,
     379,     8,   340,   376,   379,   377,   378,   185,   186,   187,
     190,   388,   388,   294,   386,   301,   387,   387,   387,   387,
     377,   378,   301,   387,   387,   387,   377,   378,   387,   377,
     378,    69,    72,    91,    92,   161,   220,    72,   220,    12,
      11,    10,   211,   311,   309,   309,   309,   309,   309,   309,
     309,   309,   309,   309,   309,   309,   309,   309,   305,   305,
     305,   311,   311,   311,   311,   311,    11,   311,   312,   311,
     311,   311,   311,   313,   305,   305,   305,   305,   305,   305,
     305,   305,   305,   305,   305,   305,   305,   305,   305,   305,
     305,   305,   305,   251,   242,   245,    66,     6,   215,     6,
       6,   218,   218,     6,   218,     6,   218,     6,     6,   218,
       6,   218,   311,     6,     6,     6,   311,     6,     6,     6,
     305,   309,   210,   274,   275,    66,     4,   229,   230,   190,
      10,    10,     6,     6,     6,     6,     6,    10,    10,     6,
       6,    53,   186,   187,   189,   190,   191,   192,   303,   381,
       6,     6,     6,     6,     6,     6,     6,     6,   190,    10,
       6,   190,     6,     6,     6,     6,     6,   309,   311,   256,
     256,   256,   309,   311,   309,   253,   211,    11,    11,    11,
      11,    11,    11,    11,    11,     6,     6,     6,     6,     6,
      11,    11,    11,    11,    11,    11,     6,     6,     6,     6,
      11,     6,    11,    11,    11,     6,   314,    11,    12,    12,
       6,   308,     4,   387,   289,   278,   296,   261,   301,   298,
     300,     6,   309,   309,    66,     6,     6,     6,     6,   218,
     230,     9,   185,   186,   187,   190,   186,   187,   190,   301,
     387,   301,   389,   387,   303,   303,   303,    10,     9,     9,
       9,    22,    23,     9,     9,     9,     9,   303,   303,   190,
     303,   188,   303,   379,   188,   379,   301,   340,   376,   387,
     390,   379,     9,     8,     9,     8,   379,   379,   340,   376,
     387,    12,    11,   309,   309,   309,   309,   309,   311,   311,
     311,   308,   311,   311,     6,   252,   247,   309,     6,   218,
     125,   126,   127,   128,   129,   130,   131,   132,   317,     6,
     317,   311,   311,   275,    11,    11,    11,    11,    11,    11,
      11,     9,     9,    22,     6,   190,     6,   190,    11,    11,
      11,    11,    11,    11,    11,    11,     6,     6,   306,   311,
      12,    12,     6,   301,     8,   318,   309,   318,   301,   379,
       9,   379,     9,   308,   311,   246,   309,   308,   319,   319,
      11,    11,    12,     6,     9,     6,   309,    36,    37,     8,
       8,   308,   308,     9,     6,     9,   308,     9
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   196,   197,   198,   198,   199,   199,   199,   199,   199,
     200,   200,   200,   201,   201,   201,   201,   201,   201,   201,
     202,   203,   204,   205,   207,   206,   209,   208,   210,   210,
     211,   211,   212,   212,   212,   212,   212,   212,   212,   214,
     213,   215,   215,   216,   216,   216,   216,   216,   216,   217,
     217,   217,   217,   217,   217,   217,   217,   217,   217,   217,
     217,   217,   217,   217,   217,   217,   217,   217,   217,   217,
     217,   217,   217,   217,   217,   217,   217,   217,   217,   217,
     217,   217,   217,   217,   217,   217,   217,   217,   217,   217,
     217,   217,   217,   218,   218,   219,   220,   220,   221,   222,
     223,   224,   225,   226,   226,   228,   227,   229,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   237,   237,   237,
     238,   238,   238,   238,   239,   239,   240,   240,   242,   241,
     244,   245,   246,   243,   247,   247,   247,   248,   250,   251,
     252,   249,   253,   249,   254,   255,   256,   256,   257,   258,
     259,   260,   260,   261,   261,   262,   262,   263,   263,   264,
     264,   265,   266,   266,   267,   268,   269,   270,   271,   273,
     272,   274,   274,   275,   276,   277,   277,   278,   279,   280,
     280,   280,   281,   282,   282,   283,   284,   285,   286,   287,
     287,   288,   288,   289,   289,   290,   291,   292,   293,   294,
     295,   295,   296,   296,   297,   297,   298,   298,   299,   299,
     300,   300,   301,   302,   303,   304,   305,   305,   306,   306,
     306,   306,   306,   306,   306,   306,   306,   306,   306,   306,
     306,   306,   306,   306,   306,   306,   306,   306,   306,   306,
     306,   306,   306,   306,   306,   306,   306,   306,   307,   306,
     306,   306,   306,   306,   306,   306,   306,   306,   306,   306,
     306,   306,   306,   306,   306,   306,   306,   306,   306,   308,
     309,   310,   311,   311,   311,   311,   311,   311,   311,   311,
     312,   312,   313,   314,   314,   314,   315,   316,   316,   316,
     317,   317,   317,   317,   317,   317,   317,   317,   318,   318,
     319,   319,   319,   319,   320,   320,   320,   320,   320,   320,
     320,   320,   320,   320,   320,   320,   320,   320,   320,   320,
     320,   320,   320,   320,   320,   320,   320,   320,   320,   320,
     320,   320,   320,   320,   320,   320,   320,   320,   320,   320,
     320,   320,   320,   320,   320,   320,   320,   320,   320,   320,
     321,   321,   322,   322,   322,   322,   323,   323,   324,   325,
     325,   326,   327,   327,   328,   329,   330,   330,   331,   332,
     333,   334,   334,   335,   335,   335,   336,   336,   337,   337,
     338,   338,   339,   339,   339,   339,   340,   340,   341,   341,
     341,   341,   341,   341,   341,   341,   342,   342,   343,   343,
     344,   344,   345,   346,   347,   347,   348,   348,   348,   349,
     349,   350,   351,   351,   352,   353,   354,   355,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     366,   367,   368,   369,   370,   371,   372,   372,   373,   373,
     374,   375,   375,   376,   377,   377,   378,   378,   379,   379,
     380,   380,   381,   381,   382,   382,   383,   383,   384,   384,
     385,   385,   386,   386,   386,   386,   387,   387,   387,   387,
     387,   387,   387,   387,   388,   388,   388,   388,   389,   389,
     389,   389,   390,   390,   390,   390,   391,   391,   392,   392
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     0,     2,     1,     2,     2,     2,     1,
       2,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     3,     2,     1,     0,     3,     0,     3,     1,     1,
       1,     1,     0,     1,     1,     2,     2,     3,     3,     0,
       3,     0,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     3,     1,     1,     3,     3,
       3,     3,     3,     2,     4,     0,     3,     1,     2,     1,
       1,     1,     1,     1,     2,     2,     0,     2,     2,     2,
       3,     5,     3,     5,     1,     2,     7,     1,     0,     5,
       0,     0,     0,     9,     1,     3,     5,     2,     0,     0,
       0,     7,     0,     6,     2,     1,     0,     1,     1,     1,
       1,     2,     5,     1,     3,     1,     3,     1,     3,     1,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     0,
       4,     1,     3,     1,     3,     1,     3,     1,     2,     2,
       4,     6,     4,     2,     4,     2,     1,     1,     3,     1,
       3,     1,     3,     1,     1,     2,     2,     2,     2,     1,
       1,     3,     1,     1,     1,     3,     1,     1,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     2,     4,     4,     4,     4,     4,     0,     5,
       4,     4,     4,     6,     6,     6,     6,     4,     4,     4,
       4,     4,     4,     6,     6,     6,     6,     4,     3,     1,
       1,     1,     1,     8,     3,     4,     4,     4,     8,     4,
       1,     3,     2,     0,     3,     3,     7,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     3,
       0,     6,     8,     6,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     4,     4,     2,     2,     4,     2,
       4,     1,     2,     2,     1,     1,     2,     2,     1,     1,
       1,     2,     2,     2,     4,     2,     2,     4,     6,     6,
       6,     6,     4,     4,     4,     4,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     6,     4,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     1,     2,     2,     2,     2,     4,     1,     2,     1,
       2,     1,     2,     1,     2,     1,     2,     1,     2,     2,
       2,     1,     4,     2,     2,     2,     1,     2,     2,     2,
       2,     2,     2,     3,     1,     3,     1,     3,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     4,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     3,     1,     1,     3,     4,     3,     4
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        YY_LAC_DISCARD ("YYBACKUP");                              \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yytype], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyo, yytype, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &yyvsp[(yyi + 1) - (yynrhs)]
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYPTRDIFF_T *yycapacity, YYPTRDIFF_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yy_state_t **yybottom,
                      yy_state_t *yybottom_no_free,
                      yy_state_t **yytop, yy_state_t *yytop_empty)
{
  YYPTRDIFF_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYPTRDIFF_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYPTRDIFF_T yyalloc = 2 * yysize_new;
      yy_state_t *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        YY_CAST (yy_state_t *,
                 YYSTACK_ALLOC (YY_CAST (YYSIZE_T,
                                         yyalloc * YYSIZEOF (*yybottom_new))));
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yy_state_t *yyesa, yy_state_t **yyes,
        YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, int yytoken)
{
  yy_state_t *yyes_prev = yyssp;
  yy_state_t *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYPTRDIFF_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYPTRDIFF_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        yy_state_fast_t yystate;
        {
          const int yylhs = yyr1[yyrule] - YYNTOKENS;
          const int yyi = yypgoto[yylhs] + *yyesp;
          yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyesp
                     ? yytable[yyi]
                     : yydefgoto[yylhs]);
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            YY_IGNORE_USELESS_CAST_BEGIN
            *yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            YY_IGNORE_USELESS_CAST_BEGIN
            *++yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
#  else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                yy_state_t *yyesa, yy_state_t **yyes,
                YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, int yytoken)
{
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Actual size of YYARG. */
  int yycount = 0;
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYPTRDIFF_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
      yysize = yysize0;
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYPTRDIFF_T yysize1
                    = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
                    yysize = yysize1;
                  else
                    return 2;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    /* Don't count the "%s"s in the final size, but reserve room for
       the terminator.  */
    YYPTRDIFF_T yysize1 = yysize + (yystrlen (yyformat) - 2 * yycount) + 1;
    if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
      yysize = yysize1;
    else
      return 2;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss;
    yy_state_t *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYPTRDIFF_T yystacksize;

    yy_state_t yyesa[20];
    yy_state_t *yyes;
    YYPTRDIFF_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = 20;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
# undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
  case 12:
#line 630 "src/asm/parser.y"
                                  { /* Continue parsing the next line on a syntax error */
			fstk_StopRept();
		}
#line 3055 "src/asm/parser.c"
    break;

  case 20:
#line 651 "src/asm/parser.y"
                                           {
			lexer_IncIFDepth();

			if ((yyvsp[-1].nConstValue))
				lexer_RunIFBlock();
			else
				lexer_SetMode(LEXER_SKIP_TO_ELIF);
		}
#line 3068 "src/asm/parser.c"
    break;

  case 21:
#line 661 "src/asm/parser.y"
                                             {
			if (lexer_GetIFDepth() == 0)
				fatalerror("Found ELIF outside an IF construct\n");

			if (lexer_RanIFBlock()) {
				if (lexer_ReachedELSEBlock())
					fatalerror("Found ELIF after an ELSE block\n");

				lexer_SetMode(LEXER_SKIP_TO_ENDC);
			} else if ((yyvsp[-1].nConstValue)) {
				lexer_RunIFBlock();
			} else {
				lexer_SetMode(LEXER_SKIP_TO_ELIF);
			}
		}
#line 3088 "src/asm/parser.c"
    break;

  case 22:
#line 678 "src/asm/parser.y"
                                       {
			if (lexer_GetIFDepth() == 0)
				fatalerror("Found ELSE outside an IF construct\n");

			if (lexer_RanIFBlock()) {
				if (lexer_ReachedELSEBlock())
					fatalerror("Found ELSE after an ELSE block\n");

				lexer_SetMode(LEXER_SKIP_TO_ENDC);
			} else {
				lexer_RunIFBlock();
				lexer_ReachELSEBlock();
			}
		}
#line 3107 "src/asm/parser.c"
    break;

  case 23:
#line 694 "src/asm/parser.y"
                             {
			lexer_DecIFDepth();
		}
#line 3115 "src/asm/parser.c"
    break;

  case 24:
#line 699 "src/asm/parser.y"
                           {
			lexer_ToggleStringExpansion(false);
		}
#line 3123 "src/asm/parser.c"
    break;

  case 25:
#line 701 "src/asm/parser.y"
                       {
			lexer_ToggleStringExpansion(true);
			strcpy((yyval.tzSym), (yyvsp[0].tzSym));
		}
#line 3132 "src/asm/parser.c"
    break;

  case 26:
#line 707 "src/asm/parser.y"
                              {
			lexer_ToggleStringExpansion(false);
		}
#line 3140 "src/asm/parser.c"
    break;

  case 27:
#line 709 "src/asm/parser.y"
                       {
			lexer_ToggleStringExpansion(true);
			strcpy((yyval.tzSym), (yyvsp[0].tzSym));
		}
#line 3149 "src/asm/parser.c"
    break;

  case 33:
#line 719 "src/asm/parser.y"
                          {
			sym_AddAnonLabel();
		}
#line 3157 "src/asm/parser.c"
    break;

  case 34:
#line 722 "src/asm/parser.y"
                             {
			sym_AddLocalLabel((yyvsp[0].tzSym));
		}
#line 3165 "src/asm/parser.c"
    break;

  case 35:
#line 725 "src/asm/parser.y"
                                     {
			sym_AddLocalLabel((yyvsp[-1].tzSym));
		}
#line 3173 "src/asm/parser.c"
    break;

  case 36:
#line 728 "src/asm/parser.y"
                                  {
			sym_AddLabel((yyvsp[-1].tzSym));
		}
#line 3181 "src/asm/parser.c"
    break;

  case 37:
#line 731 "src/asm/parser.y"
                                             {
			sym_AddLocalLabel((yyvsp[-2].tzSym));
			sym_Export((yyvsp[-2].tzSym));
		}
#line 3190 "src/asm/parser.c"
    break;

  case 38:
#line 735 "src/asm/parser.y"
                                          {
			sym_AddLabel((yyvsp[-2].tzSym));
			sym_Export((yyvsp[-2].tzSym));
		}
#line 3199 "src/asm/parser.c"
    break;

  case 39:
#line 741 "src/asm/parser.y"
                       {
			// Parsing 'macroargs' will restore the lexer's normal mode
			lexer_SetMode(LEXER_RAW);
		}
#line 3208 "src/asm/parser.c"
    break;

  case 40:
#line 744 "src/asm/parser.y"
                            {
			fstk_RunMacro((yyvsp[-2].tzSym), (yyvsp[0].macroArg));
		}
#line 3216 "src/asm/parser.c"
    break;

  case 41:
#line 749 "src/asm/parser.y"
                         {
			(yyval.macroArg) = macro_NewArgs();
		}
#line 3224 "src/asm/parser.c"
    break;

  case 42:
#line 752 "src/asm/parser.y"
                                     {
			macro_AppendArg(&((yyval.macroArg)), strdup((yyvsp[0].tzString)));
		}
#line 3232 "src/asm/parser.c"
    break;

  case 95:
#line 815 "src/asm/parser.y"
                                                { sym_AddEqu((yyvsp[-2].tzSym), (yyvsp[0].nConstValue)); }
#line 3238 "src/asm/parser.c"
    break;

  case 98:
#line 821 "src/asm/parser.y"
                                                { sym_AddSet((yyvsp[-2].tzSym), (yyvsp[0].nConstValue)); }
#line 3244 "src/asm/parser.c"
    break;

  case 99:
#line 824 "src/asm/parser.y"
                                                { sym_AddString((yyvsp[-2].tzSym), (yyvsp[0].tzString)); }
#line 3250 "src/asm/parser.c"
    break;

  case 100:
#line 827 "src/asm/parser.y"
                                             {
			sym_AddEqu((yyvsp[-2].tzSym), sym_GetConstantValue("_RS"));
			sym_AddSet("_RS", sym_GetConstantValue("_RS") + (yyvsp[0].nConstValue));
		}
#line 3259 "src/asm/parser.c"
    break;

  case 101:
#line 833 "src/asm/parser.y"
                                             {
			sym_AddEqu((yyvsp[-2].tzSym), sym_GetConstantValue("_RS"));
			sym_AddSet("_RS", sym_GetConstantValue("_RS") + 2 * (yyvsp[0].nConstValue));
		}
#line 3268 "src/asm/parser.c"
    break;

  case 102:
#line 839 "src/asm/parser.y"
                                             {
			sym_AddEqu((yyvsp[-2].tzSym), sym_GetConstantValue("_RS"));
			sym_AddSet("_RS", sym_GetConstantValue("_RS") + 4 * (yyvsp[0].nConstValue));
		}
#line 3277 "src/asm/parser.c"
    break;

  case 103:
#line 845 "src/asm/parser.y"
                                    {
			if ((yyvsp[0].nConstValue) > 16)
				error("Alignment must be between 0 and 16, not %u\n", (yyvsp[0].nConstValue));
			else
				sect_AlignPC((yyvsp[0].nConstValue), 0);
		}
#line 3288 "src/asm/parser.c"
    break;

  case 104:
#line 851 "src/asm/parser.y"
                                                   {
			if ((yyvsp[-2].nConstValue) > 16)
				error("Alignment must be between 0 and 16, not %u\n", (yyvsp[-2].nConstValue));
			else if ((yyvsp[0].nConstValue) >= 1 << (yyvsp[-2].nConstValue))
				error("Offset must be between 0 and %u, not %u\n",
					(1 << (yyvsp[-2].nConstValue)) - 1, (yyvsp[0].nConstValue));
			else
				sect_AlignPC((yyvsp[-2].nConstValue), (yyvsp[0].nConstValue));
		}
#line 3302 "src/asm/parser.c"
    break;

  case 105:
#line 862 "src/asm/parser.y"
                            {
			// Parsing 'opt_list' will restore the lexer's normal mode
			lexer_SetMode(LEXER_RAW);
		}
#line 3311 "src/asm/parser.c"
    break;

  case 109:
#line 872 "src/asm/parser.y"
                                        { opt_Parse((yyvsp[0].tzString)); }
#line 3317 "src/asm/parser.c"
    break;

  case 110:
#line 875 "src/asm/parser.y"
                                        { opt_Pop(); }
#line 3323 "src/asm/parser.c"
    break;

  case 111:
#line 878 "src/asm/parser.y"
                                        { opt_Push(); }
#line 3329 "src/asm/parser.c"
    break;

  case 112:
#line 881 "src/asm/parser.y"
                                        { out_PopSection(); }
#line 3335 "src/asm/parser.c"
    break;

  case 113:
#line 884 "src/asm/parser.y"
                                        { out_PushSection(); }
#line 3341 "src/asm/parser.c"
    break;

  case 114:
#line 887 "src/asm/parser.y"
                                        { fatalerror("%s\n", (yyvsp[0].tzString)); }
#line 3347 "src/asm/parser.c"
    break;

  case 115:
#line 890 "src/asm/parser.y"
                                        { warning(WARNING_USER, "%s\n", (yyvsp[0].tzString)); }
#line 3353 "src/asm/parser.c"
    break;

  case 116:
#line 893 "src/asm/parser.y"
                                        { (yyval.assertType) = ASSERT_ERROR; }
#line 3359 "src/asm/parser.c"
    break;

  case 117:
#line 894 "src/asm/parser.y"
                                        { (yyval.assertType) = ASSERT_WARN; }
#line 3365 "src/asm/parser.c"
    break;

  case 118:
#line 895 "src/asm/parser.y"
                                        { (yyval.assertType) = ASSERT_ERROR; }
#line 3371 "src/asm/parser.c"
    break;

  case 119:
#line 896 "src/asm/parser.y"
                                        { (yyval.assertType) = ASSERT_FATAL; }
#line 3377 "src/asm/parser.c"
    break;

  case 120:
#line 900 "src/asm/parser.y"
                {
			if (!rpn_isKnown(&(yyvsp[0].sVal))) {
				if (!out_CreateAssert((yyvsp[-1].assertType), &(yyvsp[0].sVal), "",
						      sect_GetOutputOffset()))
					error("Assertion creation failed: %s\n",
						strerror(errno));
			} else if ((yyvsp[0].sVal).nVal == 0) {
				failAssert((yyvsp[-1].assertType));
			}
			rpn_Free(&(yyvsp[0].sVal));
		}
#line 3393 "src/asm/parser.c"
    break;

  case 121:
#line 912 "src/asm/parser.y"
                {
			if (!rpn_isKnown(&(yyvsp[-2].sVal))) {
				if (!out_CreateAssert((yyvsp[-3].assertType), &(yyvsp[-2].sVal), (yyvsp[0].tzString),
						      sect_GetOutputOffset()))
					error("Assertion creation failed: %s\n",
						strerror(errno));
			} else if ((yyvsp[-2].sVal).nVal == 0) {
				failAssertMsg((yyvsp[-3].assertType), (yyvsp[0].tzString));
			}
			rpn_Free(&(yyvsp[-2].sVal));
		}
#line 3409 "src/asm/parser.c"
    break;

  case 122:
#line 924 "src/asm/parser.y"
                {
			if ((yyvsp[0].nConstValue) == 0)
				failAssert((yyvsp[-1].assertType));
		}
#line 3418 "src/asm/parser.c"
    break;

  case 123:
#line 929 "src/asm/parser.y"
                {
			if ((yyvsp[-2].nConstValue) == 0)
				failAssertMsg((yyvsp[-3].assertType), (yyvsp[0].tzString));
		}
#line 3427 "src/asm/parser.c"
    break;

  case 124:
#line 935 "src/asm/parser.y"
                                        { macro_ShiftCurrentArgs(1); }
#line 3433 "src/asm/parser.c"
    break;

  case 125:
#line 936 "src/asm/parser.y"
                                        { macro_ShiftCurrentArgs((yyvsp[0].nConstValue)); }
#line 3439 "src/asm/parser.c"
    break;

  case 126:
#line 939 "src/asm/parser.y"
                                                                                  {
			out_SetLoadSection((yyvsp[-4].tzString), (yyvsp[-2].nConstValue), (yyvsp[-1].nConstValue), &(yyvsp[0].sectSpec), (yyvsp[-5].sectMod));
		}
#line 3447 "src/asm/parser.c"
    break;

  case 127:
#line 942 "src/asm/parser.y"
                                { out_EndLoadSection(); }
#line 3453 "src/asm/parser.c"
    break;

  case 128:
#line 945 "src/asm/parser.y"
                                              {
			lexer_CaptureRept(&captureBody);
		}
#line 3461 "src/asm/parser.c"
    break;

  case 129:
#line 947 "src/asm/parser.y"
                            {
			fstk_RunRept((yyvsp[-3].nConstValue), captureBody.lineNo, captureBody.body, captureBody.size);
		}
#line 3469 "src/asm/parser.c"
    break;

  case 130:
#line 952 "src/asm/parser.y"
                            {
			lexer_ToggleStringExpansion(false);
		}
#line 3477 "src/asm/parser.c"
    break;

  case 131:
#line 954 "src/asm/parser.y"
                       {
			lexer_ToggleStringExpansion(true);
		}
#line 3485 "src/asm/parser.c"
    break;

  case 132:
#line 956 "src/asm/parser.y"
                                             {
			lexer_CaptureRept(&captureBody);
		}
#line 3493 "src/asm/parser.c"
    break;

  case 133:
#line 958 "src/asm/parser.y"
                            {
			fstk_RunFor((yyvsp[-6].tzSym), (yyvsp[-3].forArgs).start, (yyvsp[-3].forArgs).stop, (yyvsp[-3].forArgs).step, captureBody.lineNo,
				    captureBody.body, captureBody.size);
		}
#line 3502 "src/asm/parser.c"
    break;

  case 134:
#line 963 "src/asm/parser.y"
                        {
			(yyval.forArgs).start = 0;
			(yyval.forArgs).stop = (yyvsp[0].nConstValue);
			(yyval.forArgs).step = 1;
		}
#line 3512 "src/asm/parser.c"
    break;

  case 135:
#line 968 "src/asm/parser.y"
                                      {
			(yyval.forArgs).start = (yyvsp[-2].nConstValue);
			(yyval.forArgs).stop = (yyvsp[0].nConstValue);
			(yyval.forArgs).step = 1;
		}
#line 3522 "src/asm/parser.c"
    break;

  case 136:
#line 973 "src/asm/parser.y"
                                                    {
			(yyval.forArgs).start = (yyvsp[-4].nConstValue);
			(yyval.forArgs).stop = (yyvsp[-2].nConstValue);
			(yyval.forArgs).step = (yyvsp[0].nConstValue);
		}
#line 3532 "src/asm/parser.c"
    break;

  case 137:
#line 980 "src/asm/parser.y"
                                        {
			if (fstk_Break())
				lexer_SetMode(LEXER_SKIP_TO_ENDR);
		}
#line 3541 "src/asm/parser.c"
    break;

  case 138:
#line 986 "src/asm/parser.y"
                              {
			lexer_ToggleStringExpansion(false);
		}
#line 3549 "src/asm/parser.c"
    break;

  case 139:
#line 988 "src/asm/parser.y"
                       {
			lexer_ToggleStringExpansion(true);
		}
#line 3557 "src/asm/parser.c"
    break;

  case 140:
#line 990 "src/asm/parser.y"
                            {
			lexer_CaptureMacroBody(&captureBody);
		}
#line 3565 "src/asm/parser.c"
    break;

  case 141:
#line 992 "src/asm/parser.y"
                            {
			sym_AddMacro((yyvsp[-4].tzSym), captureBody.lineNo, captureBody.body, captureBody.size);
		}
#line 3573 "src/asm/parser.c"
    break;

  case 142:
#line 995 "src/asm/parser.y"
                                                        {
			lexer_CaptureMacroBody(&captureBody);
		}
#line 3581 "src/asm/parser.c"
    break;

  case 143:
#line 997 "src/asm/parser.y"
                            {
			sym_AddMacro((yyvsp[-5].tzSym), captureBody.lineNo, captureBody.body, captureBody.size);
		}
#line 3589 "src/asm/parser.c"
    break;

  case 144:
#line 1002 "src/asm/parser.y"
                                        { sym_AddSet("_RS", (yyvsp[0].nConstValue)); }
#line 3595 "src/asm/parser.c"
    break;

  case 145:
#line 1005 "src/asm/parser.y"
                                { sym_AddSet("_RS", 0); }
#line 3601 "src/asm/parser.c"
    break;

  case 146:
#line 1008 "src/asm/parser.y"
                         {
			(yyval.nConstValue) = 1;
		}
#line 3609 "src/asm/parser.c"
    break;

  case 148:
#line 1014 "src/asm/parser.y"
                                { sect_StartUnion(); }
#line 3615 "src/asm/parser.c"
    break;

  case 149:
#line 1017 "src/asm/parser.y"
                                { sect_NextUnionMember(); }
#line 3621 "src/asm/parser.c"
    break;

  case 150:
#line 1020 "src/asm/parser.y"
                                { sect_EndUnion(); }
#line 3627 "src/asm/parser.c"
    break;

  case 151:
#line 1023 "src/asm/parser.y"
                                        { out_Skip((yyvsp[0].nConstValue), true); }
#line 3633 "src/asm/parser.c"
    break;

  case 152:
#line 1024 "src/asm/parser.y"
                                                                 {
			out_RelBytes((yyvsp[-3].nConstValue), (yyvsp[-1].dsArgs).args, (yyvsp[-1].dsArgs).nbArgs);
			freeDsArgList(&(yyvsp[-1].dsArgs));
		}
#line 3642 "src/asm/parser.c"
    break;

  case 153:
#line 1030 "src/asm/parser.y"
                             {
			initDsArgList(&(yyval.dsArgs));
			size_t i = nextDsArgListIndex(&(yyval.dsArgs));

			(yyval.dsArgs).args[i] = (yyvsp[0].sVal);
		}
#line 3653 "src/asm/parser.c"
    break;

  case 154:
#line 1036 "src/asm/parser.y"
                                             {
			size_t i = nextDsArgListIndex(&(yyvsp[-2].dsArgs));

			(yyvsp[-2].dsArgs).args[i] = (yyvsp[0].sVal);
			(yyval.dsArgs) = (yyvsp[-2].dsArgs);
		}
#line 3664 "src/asm/parser.c"
    break;

  case 155:
#line 1044 "src/asm/parser.y"
                                { out_Skip(1, false); }
#line 3670 "src/asm/parser.c"
    break;

  case 157:
#line 1048 "src/asm/parser.y"
                                { out_Skip(2, false); }
#line 3676 "src/asm/parser.c"
    break;

  case 159:
#line 1052 "src/asm/parser.y"
                                { out_Skip(4, false); }
#line 3682 "src/asm/parser.c"
    break;

  case 161:
#line 1056 "src/asm/parser.y"
                                         {
			sym_AddEqu((yyvsp[-2].tzSym), (yyvsp[0].nConstValue));
		}
#line 3690 "src/asm/parser.c"
    break;

  case 162:
#line 1061 "src/asm/parser.y"
                                            {
			sym_AddSet((yyvsp[-2].tzSym), (yyvsp[0].nConstValue));
		}
#line 3698 "src/asm/parser.c"
    break;

  case 163:
#line 1064 "src/asm/parser.y"
                                              {
			sym_AddSet((yyvsp[-2].tzSym), (yyvsp[0].nConstValue));
		}
#line 3706 "src/asm/parser.c"
    break;

  case 164:
#line 1069 "src/asm/parser.y"
                                            {
			sym_AddEqu((yyvsp[-2].tzSym), sym_GetConstantValue("_RS"));
			sym_AddSet("_RS", sym_GetConstantValue("_RS") + (yyvsp[0].nConstValue));
		}
#line 3715 "src/asm/parser.c"
    break;

  case 165:
#line 1075 "src/asm/parser.y"
                                            {
			sym_AddEqu((yyvsp[-2].tzSym), sym_GetConstantValue("_RS"));
			sym_AddSet("_RS", sym_GetConstantValue("_RS") + 2 * (yyvsp[0].nConstValue));
		}
#line 3724 "src/asm/parser.c"
    break;

  case 166:
#line 1081 "src/asm/parser.y"
                                            {
			sym_AddEqu((yyvsp[-2].tzSym), sym_GetConstantValue("_RS"));
			sym_AddSet("_RS", sym_GetConstantValue("_RS") + 4 * (yyvsp[0].nConstValue));
		}
#line 3733 "src/asm/parser.c"
    break;

  case 167:
#line 1087 "src/asm/parser.y"
                                           {
			sym_AddString((yyvsp[-2].tzSym), (yyvsp[0].tzString));
		}
#line 3741 "src/asm/parser.c"
    break;

  case 168:
#line 1092 "src/asm/parser.y"
                                             {
			sym_RedefString((yyvsp[-2].tzSym), (yyvsp[0].tzString));
		}
#line 3749 "src/asm/parser.c"
    break;

  case 169:
#line 1097 "src/asm/parser.y"
                              {
			lexer_ToggleStringExpansion(false);
		}
#line 3757 "src/asm/parser.c"
    break;

  case 170:
#line 1099 "src/asm/parser.y"
                                            {
			lexer_ToggleStringExpansion(true);
		}
#line 3765 "src/asm/parser.c"
    break;

  case 173:
#line 1108 "src/asm/parser.y"
                                { sym_Purge((yyvsp[0].tzSym)); }
#line 3771 "src/asm/parser.c"
    break;

  case 177:
#line 1118 "src/asm/parser.y"
                                { sym_Export((yyvsp[0].tzSym)); }
#line 3777 "src/asm/parser.c"
    break;

  case 178:
#line 1121 "src/asm/parser.y"
                                       {
			fstk_RunInclude((yyvsp[0].tzString));
			if (oFailedOnMissingInclude)
				YYACCEPT;
		}
#line 3787 "src/asm/parser.c"
    break;

  case 179:
#line 1128 "src/asm/parser.y"
                                      {
			out_BinaryFile((yyvsp[0].tzString), 0);
			if (oFailedOnMissingInclude)
				YYACCEPT;
		}
#line 3797 "src/asm/parser.c"
    break;

  case 180:
#line 1133 "src/asm/parser.y"
                                                    {
			out_BinaryFile((yyvsp[-2].tzString), (yyvsp[0].nConstValue));
			if (oFailedOnMissingInclude)
				YYACCEPT;
		}
#line 3807 "src/asm/parser.c"
    break;

  case 181:
#line 1138 "src/asm/parser.y"
                                                                  {
			out_BinaryFileSlice((yyvsp[-4].tzString), (yyvsp[-2].nConstValue), (yyvsp[0].nConstValue));
			if (oFailedOnMissingInclude)
				YYACCEPT;
		}
#line 3817 "src/asm/parser.c"
    break;

  case 182:
#line 1145 "src/asm/parser.y"
                                                     {
			if ((yyvsp[0].nConstValue) < INT8_MIN || (yyvsp[0].nConstValue) > UINT8_MAX)
				warning(WARNING_TRUNCATION, "Expression must be 8-bit\n");
			charmap_Add((yyvsp[-2].tzString), (uint8_t)(yyvsp[0].nConstValue));
		}
#line 3827 "src/asm/parser.c"
    break;

  case 183:
#line 1152 "src/asm/parser.y"
                                        { charmap_New((yyvsp[0].tzSym), NULL); }
#line 3833 "src/asm/parser.c"
    break;

  case 184:
#line 1153 "src/asm/parser.y"
                                                        { charmap_New((yyvsp[-2].tzSym), (yyvsp[0].tzSym)); }
#line 3839 "src/asm/parser.c"
    break;

  case 185:
#line 1156 "src/asm/parser.y"
                                        { charmap_Set((yyvsp[0].tzSym)); }
#line 3845 "src/asm/parser.c"
    break;

  case 186:
#line 1159 "src/asm/parser.y"
                                { charmap_Push(); }
#line 3851 "src/asm/parser.c"
    break;

  case 187:
#line 1162 "src/asm/parser.y"
                                { charmap_Pop(); }
#line 3857 "src/asm/parser.c"
    break;

  case 189:
#line 1168 "src/asm/parser.y"
                                {
			putchar('\n');
			fflush(stdout);
		}
#line 3866 "src/asm/parser.c"
    break;

  case 190:
#line 1172 "src/asm/parser.y"
                                                           {
			putchar('\n');
			fflush(stdout);
		}
#line 3875 "src/asm/parser.c"
    break;

  case 193:
#line 1182 "src/asm/parser.y"
                               { printf("$%" PRIX32, (yyvsp[0].nConstValue)); }
#line 3881 "src/asm/parser.c"
    break;

  case 194:
#line 1183 "src/asm/parser.y"
                         { printf("%s", (yyvsp[0].tzString)); }
#line 3887 "src/asm/parser.c"
    break;

  case 195:
#line 1186 "src/asm/parser.y"
                                        {
			warning(WARNING_OBSOLETE, "`PRINTT` is deprecated; use `PRINT`\n");
			printf("%s", (yyvsp[0].tzString));
		}
#line 3896 "src/asm/parser.c"
    break;

  case 196:
#line 1192 "src/asm/parser.y"
                                        {
			warning(WARNING_OBSOLETE, "`PRINTV` is deprecated; use `PRINT`\n");
			printf("$%" PRIX32, (yyvsp[0].nConstValue));
		}
#line 3905 "src/asm/parser.c"
    break;

  case 197:
#line 1198 "src/asm/parser.y"
                                        {
			warning(WARNING_OBSOLETE, "`PRINTI` is deprecated; use `PRINT` with `STRFMT`\n");
			printf("%" PRId32, (yyvsp[0].nConstValue));
		}
#line 3914 "src/asm/parser.c"
    break;

  case 198:
#line 1204 "src/asm/parser.y"
                                        {
			warning(WARNING_OBSOLETE, "`PRINTF` is deprecated; use `PRINT` with `STRFMT`\n");
			fix_Print((yyvsp[0].nConstValue));
		}
#line 3923 "src/asm/parser.c"
    break;

  case 199:
#line 1210 "src/asm/parser.y"
                        {
			int32_t value = (yyvsp[0].nConstValue);

			if ((value < 0) || (value > 7)) {
				error("Immediate value must be 3-bit\n");
				(yyval.nConstValue) = 0;
			} else {
				(yyval.nConstValue) = value & 0x7;
			}
		}
#line 3938 "src/asm/parser.c"
    break;

  case 202:
#line 1226 "src/asm/parser.y"
                                                {
			out_RelByte(&(yyvsp[0].sVal), 0);
		}
#line 3946 "src/asm/parser.c"
    break;

  case 203:
#line 1229 "src/asm/parser.y"
                         {
			uint8_t *output = malloc(strlen((yyvsp[0].tzString))); /* Cannot be larger than that */
			int32_t length = charmap_Convert((yyvsp[0].tzString), output);

			out_AbsByteGroup(output, length);
			free(output);
		}
#line 3958 "src/asm/parser.c"
    break;

  case 206:
#line 1242 "src/asm/parser.y"
                                                {
			out_RelWord(&(yyvsp[0].sVal), 0);
		}
#line 3966 "src/asm/parser.c"
    break;

  case 207:
#line 1245 "src/asm/parser.y"
                         {
			uint8_t *output = malloc(strlen((yyvsp[0].tzString))); /* Cannot be larger than that */
			int32_t length = charmap_Convert((yyvsp[0].tzString), output);

			out_AbsWordGroup(output, length);
			free(output);
		}
#line 3978 "src/asm/parser.c"
    break;

  case 210:
#line 1258 "src/asm/parser.y"
                                        {
			out_RelLong(&(yyvsp[0].sVal), 0);
		}
#line 3986 "src/asm/parser.c"
    break;

  case 211:
#line 1261 "src/asm/parser.y"
                         {
			uint8_t *output = malloc(strlen((yyvsp[0].tzString))); /* Cannot be larger than that */
			int32_t length = charmap_Convert((yyvsp[0].tzString), output);

			out_AbsLongGroup(output, length);
			free(output);
		}
#line 3998 "src/asm/parser.c"
    break;

  case 212:
#line 1270 "src/asm/parser.y"
                            {
			if(rpn_isKnown(&(yyvsp[0].sVal))
			 && ((yyvsp[0].sVal).nVal < -128 || (yyvsp[0].sVal).nVal > 255))
				warning(WARNING_TRUNCATION, "Expression must be 8-bit\n");
			(yyval.sVal) = (yyvsp[0].sVal);
		}
#line 4009 "src/asm/parser.c"
    break;

  case 213:
#line 1278 "src/asm/parser.y"
                                     {
			if(rpn_isKnown(&(yyvsp[0].sVal))
			 && ((yyvsp[0].sVal).nVal < -128 || (yyvsp[0].sVal).nVal > 255))
				warning(WARNING_TRUNCATION, "Expression must be 8-bit\n");
			(yyval.sVal) = (yyvsp[0].sVal);
		}
#line 4020 "src/asm/parser.c"
    break;

  case 214:
#line 1286 "src/asm/parser.y"
                            {
			if (rpn_isKnown(&(yyvsp[0].sVal))
			 && ((yyvsp[0].sVal).nVal < -32768 || (yyvsp[0].sVal).nVal > 65535))
				warning(WARNING_TRUNCATION, "Expression must be 16-bit\n");
			(yyval.sVal) = (yyvsp[0].sVal);
		}
#line 4031 "src/asm/parser.c"
    break;

  case 215:
#line 1294 "src/asm/parser.y"
                                      {
			if (rpn_isKnown(&(yyvsp[0].sVal))
			 && ((yyvsp[0].sVal).nVal < -32768 || (yyvsp[0].sVal).nVal > 65535))
				warning(WARNING_TRUNCATION, "Expression must be 16-bit\n");
			(yyval.sVal) = (yyvsp[0].sVal);
		}
#line 4042 "src/asm/parser.c"
    break;

  case 217:
#line 1304 "src/asm/parser.y"
                         {
			uint8_t *output = malloc(strlen((yyvsp[0].tzString))); /* Cannot be longer than that */
			int32_t length = charmap_Convert((yyvsp[0].tzString), output);
			uint32_t r = str2int2(output, length);

			free(output);
			rpn_Number(&(yyval.sVal), r);
		}
#line 4055 "src/asm/parser.c"
    break;

  case 218:
#line 1314 "src/asm/parser.y"
                                        { rpn_Symbol(&(yyval.sVal), (yyvsp[0].tzSym)); }
#line 4061 "src/asm/parser.c"
    break;

  case 219:
#line 1315 "src/asm/parser.y"
                                { rpn_Number(&(yyval.sVal), (yyvsp[0].nConstValue)); }
#line 4067 "src/asm/parser.c"
    break;

  case 220:
#line 1316 "src/asm/parser.y"
                                                    {
			rpn_LOGNOT(&(yyval.sVal), &(yyvsp[0].sVal));
		}
#line 4075 "src/asm/parser.c"
    break;

  case 221:
#line 1319 "src/asm/parser.y"
                                                   {
			rpn_BinaryOp(RPN_LOGOR, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4083 "src/asm/parser.c"
    break;

  case 222:
#line 1322 "src/asm/parser.y"
                                                    {
			rpn_BinaryOp(RPN_LOGAND, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4091 "src/asm/parser.c"
    break;

  case 223:
#line 1325 "src/asm/parser.y"
                                                    {
			rpn_BinaryOp(RPN_LOGEQ, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4099 "src/asm/parser.c"
    break;

  case 224:
#line 1328 "src/asm/parser.y"
                                                   {
			rpn_BinaryOp(RPN_LOGGT, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4107 "src/asm/parser.c"
    break;

  case 225:
#line 1331 "src/asm/parser.y"
                                                   {
			rpn_BinaryOp(RPN_LOGLT, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4115 "src/asm/parser.c"
    break;

  case 226:
#line 1334 "src/asm/parser.y"
                                                   {
			rpn_BinaryOp(RPN_LOGGE, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4123 "src/asm/parser.c"
    break;

  case 227:
#line 1337 "src/asm/parser.y"
                                                   {
			rpn_BinaryOp(RPN_LOGLE, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4131 "src/asm/parser.c"
    break;

  case 228:
#line 1340 "src/asm/parser.y"
                                                   {
			rpn_BinaryOp(RPN_LOGNE, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4139 "src/asm/parser.c"
    break;

  case 229:
#line 1343 "src/asm/parser.y"
                                               {
			rpn_BinaryOp(RPN_ADD, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4147 "src/asm/parser.c"
    break;

  case 230:
#line 1346 "src/asm/parser.y"
                                               {
			rpn_BinaryOp(RPN_SUB, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4155 "src/asm/parser.c"
    break;

  case 231:
#line 1349 "src/asm/parser.y"
                                               {
			rpn_BinaryOp(RPN_XOR, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4163 "src/asm/parser.c"
    break;

  case 232:
#line 1352 "src/asm/parser.y"
                                              {
			rpn_BinaryOp(RPN_OR, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4171 "src/asm/parser.c"
    break;

  case 233:
#line 1355 "src/asm/parser.y"
                                               {
			rpn_BinaryOp(RPN_AND, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4179 "src/asm/parser.c"
    break;

  case 234:
#line 1358 "src/asm/parser.y"
                                               {
			rpn_BinaryOp(RPN_SHL, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4187 "src/asm/parser.c"
    break;

  case 235:
#line 1361 "src/asm/parser.y"
                                               {
			rpn_BinaryOp(RPN_SHR, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4195 "src/asm/parser.c"
    break;

  case 236:
#line 1364 "src/asm/parser.y"
                                               {
			rpn_BinaryOp(RPN_MUL, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4203 "src/asm/parser.c"
    break;

  case 237:
#line 1367 "src/asm/parser.y"
                                               {
			rpn_BinaryOp(RPN_DIV, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4211 "src/asm/parser.c"
    break;

  case 238:
#line 1370 "src/asm/parser.y"
                                               {
			rpn_BinaryOp(RPN_MOD, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4219 "src/asm/parser.c"
    break;

  case 239:
#line 1373 "src/asm/parser.y"
                                               {
			rpn_BinaryOp(RPN_EXP, &(yyval.sVal), &(yyvsp[-2].sVal), &(yyvsp[0].sVal));
		}
#line 4227 "src/asm/parser.c"
    break;

  case 240:
#line 1376 "src/asm/parser.y"
                                                { (yyval.sVal) = (yyvsp[0].sVal); }
#line 4233 "src/asm/parser.c"
    break;

  case 241:
#line 1377 "src/asm/parser.y"
                                                { rpn_UNNEG(&(yyval.sVal), &(yyvsp[0].sVal)); }
#line 4239 "src/asm/parser.c"
    break;

  case 242:
#line 1378 "src/asm/parser.y"
                                                { rpn_UNNOT(&(yyval.sVal), &(yyvsp[0].sVal)); }
#line 4245 "src/asm/parser.c"
    break;

  case 243:
#line 1379 "src/asm/parser.y"
                                                        { rpn_HIGH(&(yyval.sVal), &(yyvsp[-1].sVal)); }
#line 4251 "src/asm/parser.c"
    break;

  case 244:
#line 1380 "src/asm/parser.y"
                                                        { rpn_LOW(&(yyval.sVal), &(yyvsp[-1].sVal)); }
#line 4257 "src/asm/parser.c"
    break;

  case 245:
#line 1381 "src/asm/parser.y"
                                                          { rpn_ISCONST(&(yyval.sVal), &(yyvsp[-1].sVal)); }
#line 4263 "src/asm/parser.c"
    break;

  case 246:
#line 1382 "src/asm/parser.y"
                                                             {
			/* '@' is also a T_ID, it is handled here. */
			rpn_BankSymbol(&(yyval.sVal), (yyvsp[-1].tzSym));
		}
#line 4272 "src/asm/parser.c"
    break;

  case 247:
#line 1386 "src/asm/parser.y"
                                                        { rpn_BankSection(&(yyval.sVal), (yyvsp[-1].tzString)); }
#line 4278 "src/asm/parser.c"
    break;

  case 248:
#line 1387 "src/asm/parser.y"
                           {
			lexer_ToggleStringExpansion(false);
		}
#line 4286 "src/asm/parser.c"
    break;

  case 249:
#line 1389 "src/asm/parser.y"
                                                   {
			struct Symbol const *sym = sym_FindScopedSymbol((yyvsp[-1].tzSym));

			rpn_Number(&(yyval.sVal), !!sym);

			lexer_ToggleStringExpansion(true);
		}
#line 4298 "src/asm/parser.c"
    break;

  case 250:
#line 1396 "src/asm/parser.y"
                                                     {
			rpn_Number(&(yyval.sVal), fix_Round((yyvsp[-1].nConstValue)));
		}
#line 4306 "src/asm/parser.c"
    break;

  case 251:
#line 1399 "src/asm/parser.y"
                                                    {
			rpn_Number(&(yyval.sVal), fix_Ceil((yyvsp[-1].nConstValue)));
		}
#line 4314 "src/asm/parser.c"
    break;

  case 252:
#line 1402 "src/asm/parser.y"
                                                     {
			rpn_Number(&(yyval.sVal), fix_Floor((yyvsp[-1].nConstValue)));
		}
#line 4322 "src/asm/parser.c"
    break;

  case 253:
#line 1405 "src/asm/parser.y"
                                                                  {
			rpn_Number(&(yyval.sVal), fix_Div((yyvsp[-3].nConstValue), (yyvsp[-1].nConstValue)));
		}
#line 4330 "src/asm/parser.c"
    break;

  case 254:
#line 1408 "src/asm/parser.y"
                                                                  {
			rpn_Number(&(yyval.sVal), fix_Mul((yyvsp[-3].nConstValue), (yyvsp[-1].nConstValue)));
		}
#line 4338 "src/asm/parser.c"
    break;

  case 255:
#line 1411 "src/asm/parser.y"
                                                                 {
			rpn_Number(&(yyval.sVal), fix_Pow((yyvsp[-3].nConstValue), (yyvsp[-1].nConstValue)));
		}
#line 4346 "src/asm/parser.c"
    break;

  case 256:
#line 1414 "src/asm/parser.y"
                                                                 {
			rpn_Number(&(yyval.sVal), fix_Log((yyvsp[-3].nConstValue), (yyvsp[-1].nConstValue)));
		}
#line 4354 "src/asm/parser.c"
    break;

  case 257:
#line 1417 "src/asm/parser.y"
                                                   {
			rpn_Number(&(yyval.sVal), fix_Sin((yyvsp[-1].nConstValue)));
		}
#line 4362 "src/asm/parser.c"
    break;

  case 258:
#line 1420 "src/asm/parser.y"
                                                   {
			rpn_Number(&(yyval.sVal), fix_Cos((yyvsp[-1].nConstValue)));
		}
#line 4370 "src/asm/parser.c"
    break;

  case 259:
#line 1423 "src/asm/parser.y"
                                                   {
			rpn_Number(&(yyval.sVal), fix_Tan((yyvsp[-1].nConstValue)));
		}
#line 4378 "src/asm/parser.c"
    break;

  case 260:
#line 1426 "src/asm/parser.y"
                                                    {
			rpn_Number(&(yyval.sVal), fix_ASin((yyvsp[-1].nConstValue)));
		}
#line 4386 "src/asm/parser.c"
    break;

  case 261:
#line 1429 "src/asm/parser.y"
                                                    {
			rpn_Number(&(yyval.sVal), fix_ACos((yyvsp[-1].nConstValue)));
		}
#line 4394 "src/asm/parser.c"
    break;

  case 262:
#line 1432 "src/asm/parser.y"
                                                    {
			rpn_Number(&(yyval.sVal), fix_ATan((yyvsp[-1].nConstValue)));
		}
#line 4402 "src/asm/parser.c"
    break;

  case 263:
#line 1435 "src/asm/parser.y"
                                                                   {
			rpn_Number(&(yyval.sVal), fix_ATan2((yyvsp[-3].nConstValue), (yyvsp[-1].nConstValue)));
		}
#line 4410 "src/asm/parser.c"
    break;

  case 264:
#line 1438 "src/asm/parser.y"
                                                                      {
			rpn_Number(&(yyval.sVal), strcmp((yyvsp[-3].tzString), (yyvsp[-1].tzString)));
		}
#line 4418 "src/asm/parser.c"
    break;

  case 265:
#line 1441 "src/asm/parser.y"
                                                                     {
			char *p = strstr((yyvsp[-3].tzString), (yyvsp[-1].tzString));

			rpn_Number(&(yyval.sVal), p ? p - (yyvsp[-3].tzString) + 1 : 0);
		}
#line 4428 "src/asm/parser.c"
    break;

  case 266:
#line 1446 "src/asm/parser.y"
                                                                      {
			char *p = strrstr((yyvsp[-3].tzString), (yyvsp[-1].tzString));

			rpn_Number(&(yyval.sVal), p ? p - (yyvsp[-3].tzString) + 1 : 0);
		}
#line 4438 "src/asm/parser.c"
    break;

  case 267:
#line 1451 "src/asm/parser.y"
                                                       {
			rpn_Number(&(yyval.sVal), strlenUTF8((yyvsp[-1].tzString)));
		}
#line 4446 "src/asm/parser.c"
    break;

  case 268:
#line 1454 "src/asm/parser.y"
                                                { (yyval.sVal) = (yyvsp[-1].sVal); }
#line 4452 "src/asm/parser.c"
    break;

  case 269:
#line 1457 "src/asm/parser.y"
                        {
			(yyval.nConstValue) = (yyvsp[0].nConstValue);
			if ((yyval.nConstValue) < 0)
				fatalerror("Constant mustn't be negative: %d\n",
					   (yyvsp[0].nConstValue));
		}
#line 4463 "src/asm/parser.c"
    break;

  case 270:
#line 1465 "src/asm/parser.y"
                            {
			if (!rpn_isKnown(&(yyvsp[0].sVal))) {
				error("Expected constant expression: %s\n",
					(yyvsp[0].sVal).reason);
				(yyval.nConstValue) = 0;
			} else {
				(yyval.nConstValue) = (yyvsp[0].sVal).nVal;
			}
		}
#line 4477 "src/asm/parser.c"
    break;

  case 271:
#line 1476 "src/asm/parser.y"
                                   {
			if (!rpn_isKnown(&(yyvsp[0].sVal))) {
				error("Expected constant expression: %s\n",
					(yyvsp[0].sVal).reason);
				(yyval.nConstValue) = 0;
			} else {
				(yyval.nConstValue) = (yyvsp[0].sVal).nVal;
			}
		}
#line 4491 "src/asm/parser.c"
    break;

  case 273:
#line 1488 "src/asm/parser.y"
                                                                                     {
			strsubUTF8((yyval.tzString), sizeof((yyval.tzString)), (yyvsp[-5].tzString), (yyvsp[-3].nConstValue), (yyvsp[-1].nConstValue));
		}
#line 4499 "src/asm/parser.c"
    break;

  case 274:
#line 1491 "src/asm/parser.y"
                                                {
			(yyval.tzString)[0] = '\0';
		}
#line 4507 "src/asm/parser.c"
    break;

  case 275:
#line 1494 "src/asm/parser.y"
                                                            {
			strcpy((yyval.tzString), (yyvsp[-1].tzString));
		}
#line 4515 "src/asm/parser.c"
    break;

  case 276:
#line 1497 "src/asm/parser.y"
                                                       {
			upperstring((yyval.tzString), (yyvsp[-1].tzString));
		}
#line 4523 "src/asm/parser.c"
    break;

  case 277:
#line 1500 "src/asm/parser.y"
                                                       {
			lowerstring((yyval.tzString), (yyvsp[-1].tzString));
		}
#line 4531 "src/asm/parser.c"
    break;

  case 278:
#line 1503 "src/asm/parser.y"
                                                                                     {
			strrpl((yyval.tzString), sizeof((yyval.tzString)), (yyvsp[-5].tzString), (yyvsp[-3].tzString), (yyvsp[-1].tzString));
		}
#line 4539 "src/asm/parser.c"
    break;

  case 279:
#line 1506 "src/asm/parser.y"
                                                            {
			strfmt((yyval.tzString), sizeof((yyval.tzString)), (yyvsp[-1].strfmtArgs).format, (yyvsp[-1].strfmtArgs).nbArgs, (yyvsp[-1].strfmtArgs).args);
			freeStrFmtArgList(&(yyvsp[-1].strfmtArgs));
		}
#line 4548 "src/asm/parser.c"
    break;

  case 281:
#line 1513 "src/asm/parser.y"
                                             {
			int ret = snprintf((yyval.tzString), sizeof((yyval.tzString)), "%s%s", (yyvsp[-2].tzString), (yyvsp[0].tzString));

			if (ret == -1)
				fatalerror("snprintf error in STRCAT: %s\n", strerror(errno));
			else if ((unsigned int)ret >= sizeof((yyval.tzString)))
				warning(WARNING_LONG_STR, "STRCAT: String too long '%s%s'\n",
					(yyvsp[-2].tzString), (yyvsp[0].tzString));
		}
#line 4562 "src/asm/parser.c"
    break;

  case 282:
#line 1524 "src/asm/parser.y"
                                        {
			(yyval.strfmtArgs).format = strdup((yyvsp[-1].tzString));
			(yyval.strfmtArgs).capacity = (yyvsp[0].strfmtArgs).capacity;
			(yyval.strfmtArgs).nbArgs = (yyvsp[0].strfmtArgs).nbArgs;
			(yyval.strfmtArgs).args = (yyvsp[0].strfmtArgs).args;
		}
#line 4573 "src/asm/parser.c"
    break;

  case 283:
#line 1532 "src/asm/parser.y"
                         {
			initStrFmtArgList(&(yyval.strfmtArgs));
		}
#line 4581 "src/asm/parser.c"
    break;

  case 284:
#line 1535 "src/asm/parser.y"
                                                          {
			int32_t value;

			if (!rpn_isKnown(&(yyvsp[0].sVal))) {
				error("Expected constant expression: %s\n",
					(yyvsp[0].sVal).reason);
				value = 0;
			} else {
				value = (yyvsp[0].sVal).nVal;
			}

			size_t i = nextStrFmtArgListIndex(&(yyvsp[-2].strfmtArgs));

			(yyvsp[-2].strfmtArgs).args[i].number = value;
			(yyvsp[-2].strfmtArgs).args[i].isNumeric = true;
			(yyval.strfmtArgs) = (yyvsp[-2].strfmtArgs);
		}
#line 4603 "src/asm/parser.c"
    break;

  case 285:
#line 1552 "src/asm/parser.y"
                                                {
			size_t i = nextStrFmtArgListIndex(&(yyvsp[-2].strfmtArgs));

			(yyvsp[-2].strfmtArgs).args[i].string = strdup((yyvsp[0].tzString));
			(yyvsp[-2].strfmtArgs).args[i].isNumeric = false;
			(yyval.strfmtArgs) = (yyvsp[-2].strfmtArgs);
		}
#line 4615 "src/asm/parser.c"
    break;

  case 286:
#line 1561 "src/asm/parser.y"
                                                                                     {
			out_NewSection((yyvsp[-4].tzString), (yyvsp[-2].nConstValue), (yyvsp[-1].nConstValue), &(yyvsp[0].sectSpec), (yyvsp[-5].sectMod));
		}
#line 4623 "src/asm/parser.c"
    break;

  case 287:
#line 1566 "src/asm/parser.y"
                                { (yyval.sectMod) = SECTION_NORMAL; }
#line 4629 "src/asm/parser.c"
    break;

  case 288:
#line 1567 "src/asm/parser.y"
                                { (yyval.sectMod) = SECTION_UNION; }
#line 4635 "src/asm/parser.c"
    break;

  case 289:
#line 1568 "src/asm/parser.y"
                                { (yyval.sectMod) = SECTION_FRAGMENT; }
#line 4641 "src/asm/parser.c"
    break;

  case 290:
#line 1571 "src/asm/parser.y"
                                { (yyval.nConstValue) = SECTTYPE_WRAM0; }
#line 4647 "src/asm/parser.c"
    break;

  case 291:
#line 1572 "src/asm/parser.y"
                                { (yyval.nConstValue) = SECTTYPE_VRAM; }
#line 4653 "src/asm/parser.c"
    break;

  case 292:
#line 1573 "src/asm/parser.y"
                                { (yyval.nConstValue) = SECTTYPE_ROMX; }
#line 4659 "src/asm/parser.c"
    break;

  case 293:
#line 1574 "src/asm/parser.y"
                                { (yyval.nConstValue) = SECTTYPE_ROM0; }
#line 4665 "src/asm/parser.c"
    break;

  case 294:
#line 1575 "src/asm/parser.y"
                                { (yyval.nConstValue) = SECTTYPE_HRAM; }
#line 4671 "src/asm/parser.c"
    break;

  case 295:
#line 1576 "src/asm/parser.y"
                                { (yyval.nConstValue) = SECTTYPE_WRAMX; }
#line 4677 "src/asm/parser.c"
    break;

  case 296:
#line 1577 "src/asm/parser.y"
                                { (yyval.nConstValue) = SECTTYPE_SRAM; }
#line 4683 "src/asm/parser.c"
    break;

  case 297:
#line 1578 "src/asm/parser.y"
                                { (yyval.nConstValue) = SECTTYPE_OAM; }
#line 4689 "src/asm/parser.c"
    break;

  case 298:
#line 1581 "src/asm/parser.y"
                         { (yyval.nConstValue) = -1; }
#line 4695 "src/asm/parser.c"
    break;

  case 299:
#line 1582 "src/asm/parser.y"
                                           {
			if ((yyvsp[-1].nConstValue) < 0 || (yyvsp[-1].nConstValue) >= 0x10000) {
				error("Address $%x is not 16-bit\n", (yyvsp[-1].nConstValue));
				(yyval.nConstValue) = -1;
			} else {
				(yyval.nConstValue) = (yyvsp[-1].nConstValue);
			}
		}
#line 4708 "src/asm/parser.c"
    break;

  case 300:
#line 1592 "src/asm/parser.y"
                         {
			(yyval.sectSpec).alignment = 0;
			(yyval.sectSpec).alignOfs = 0;
			(yyval.sectSpec).bank = -1;
		}
#line 4718 "src/asm/parser.c"
    break;

  case 301:
#line 1597 "src/asm/parser.y"
                                                                        {
			(yyval.sectSpec).alignment = (yyvsp[-1].nConstValue);
		}
#line 4726 "src/asm/parser.c"
    break;

  case 302:
#line 1600 "src/asm/parser.y"
                                                                                       {
			(yyval.sectSpec).alignment = (yyvsp[-3].nConstValue);
			(yyval.sectSpec).alignOfs = (yyvsp[-1].nConstValue);
		}
#line 4735 "src/asm/parser.c"
    break;

  case 303:
#line 1604 "src/asm/parser.y"
                                                                       {
			/* We cannot check the validity of this now */
			(yyval.sectSpec).bank = (yyvsp[-1].nConstValue);
		}
#line 4744 "src/asm/parser.c"
    break;

  case 350:
#line 1659 "src/asm/parser.y"
                                   {
			out_AbsByte(0xCE);
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 4753 "src/asm/parser.c"
    break;

  case 351:
#line 1663 "src/asm/parser.y"
                                        { out_AbsByte(0x88 | (yyvsp[0].nConstValue)); }
#line 4759 "src/asm/parser.c"
    break;

  case 352:
#line 1666 "src/asm/parser.y"
                                   {
			out_AbsByte(0xC6);
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 4768 "src/asm/parser.c"
    break;

  case 353:
#line 1670 "src/asm/parser.y"
                                        { out_AbsByte(0x80 | (yyvsp[0].nConstValue)); }
#line 4774 "src/asm/parser.c"
    break;

  case 354:
#line 1671 "src/asm/parser.y"
                                                        { out_AbsByte(0x09 | ((yyvsp[0].nConstValue) << 4)); }
#line 4780 "src/asm/parser.c"
    break;

  case 355:
#line 1672 "src/asm/parser.y"
                                                         {
			out_AbsByte(0xE8);
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 4789 "src/asm/parser.c"
    break;

  case 356:
#line 1679 "src/asm/parser.y"
                                   {
			out_AbsByte(0xE6);
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 4798 "src/asm/parser.c"
    break;

  case 357:
#line 1683 "src/asm/parser.y"
                                        { out_AbsByte(0xA0 | (yyvsp[0].nConstValue)); }
#line 4804 "src/asm/parser.c"
    break;

  case 358:
#line 1686 "src/asm/parser.y"
                                                     {
			out_AbsByte(0xCB);
			out_AbsByte(0x40 | ((yyvsp[-2].nConstValue) << 3) | (yyvsp[0].nConstValue));
		}
#line 4813 "src/asm/parser.c"
    break;

  case 359:
#line 1692 "src/asm/parser.y"
                                         {
			out_AbsByte(0xCD);
			out_RelWord(&(yyvsp[0].sVal), 1);
		}
#line 4822 "src/asm/parser.c"
    break;

  case 360:
#line 1696 "src/asm/parser.y"
                                                       {
			out_AbsByte(0xC4 | ((yyvsp[-2].nConstValue) << 3));
			out_RelWord(&(yyvsp[0].sVal), 1);
		}
#line 4831 "src/asm/parser.c"
    break;

  case 361:
#line 1702 "src/asm/parser.y"
                                { out_AbsByte(0x3F); }
#line 4837 "src/asm/parser.c"
    break;

  case 362:
#line 1705 "src/asm/parser.y"
                                  {
			out_AbsByte(0xFE);
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 4846 "src/asm/parser.c"
    break;

  case 363:
#line 1709 "src/asm/parser.y"
                                        { out_AbsByte(0xB8 | (yyvsp[0].nConstValue)); }
#line 4852 "src/asm/parser.c"
    break;

  case 364:
#line 1712 "src/asm/parser.y"
                                { out_AbsByte(0x2F); }
#line 4858 "src/asm/parser.c"
    break;

  case 365:
#line 1715 "src/asm/parser.y"
                                { out_AbsByte(0x27); }
#line 4864 "src/asm/parser.c"
    break;

  case 366:
#line 1718 "src/asm/parser.y"
                                        { out_AbsByte(0x05 | ((yyvsp[0].nConstValue) << 3)); }
#line 4870 "src/asm/parser.c"
    break;

  case 367:
#line 1719 "src/asm/parser.y"
                                        { out_AbsByte(0x0B | ((yyvsp[0].nConstValue) << 4)); }
#line 4876 "src/asm/parser.c"
    break;

  case 368:
#line 1722 "src/asm/parser.y"
                                { out_AbsByte(0xF3); }
#line 4882 "src/asm/parser.c"
    break;

  case 369:
#line 1725 "src/asm/parser.y"
                                { out_AbsByte(0xFB); }
#line 4888 "src/asm/parser.c"
    break;

  case 370:
#line 1728 "src/asm/parser.y"
                             {
			out_AbsByte(0x76);
			if (haltnop)
				out_AbsByte(0x00);
		}
#line 4898 "src/asm/parser.c"
    break;

  case 371:
#line 1735 "src/asm/parser.y"
                                        { out_AbsByte(0x04 | ((yyvsp[0].nConstValue) << 3)); }
#line 4904 "src/asm/parser.c"
    break;

  case 372:
#line 1736 "src/asm/parser.y"
                                        { out_AbsByte(0x03 | ((yyvsp[0].nConstValue) << 4)); }
#line 4910 "src/asm/parser.c"
    break;

  case 373:
#line 1739 "src/asm/parser.y"
                                       {
			out_AbsByte(0xC3);
			out_RelWord(&(yyvsp[0].sVal), 1);
		}
#line 4919 "src/asm/parser.c"
    break;

  case 374:
#line 1743 "src/asm/parser.y"
                                                     {
			out_AbsByte(0xC2 | ((yyvsp[-2].nConstValue) << 3));
			out_RelWord(&(yyvsp[0].sVal), 1);
		}
#line 4928 "src/asm/parser.c"
    break;

  case 375:
#line 1747 "src/asm/parser.y"
                                     {
			out_AbsByte(0xE9);
		}
#line 4936 "src/asm/parser.c"
    break;

  case 376:
#line 1752 "src/asm/parser.y"
                                       {
			out_AbsByte(0x18);
			out_PCRelByte(&(yyvsp[0].sVal), 1);
		}
#line 4945 "src/asm/parser.c"
    break;

  case 377:
#line 1756 "src/asm/parser.y"
                                                     {
			out_AbsByte(0x20 | ((yyvsp[-2].nConstValue) << 3));
			out_PCRelByte(&(yyvsp[0].sVal), 1);
		}
#line 4954 "src/asm/parser.c"
    break;

  case 378:
#line 1762 "src/asm/parser.y"
                                                                         {
			out_AbsByte(0x02 | (2 << 4));
		}
#line 4962 "src/asm/parser.c"
    break;

  case 379:
#line 1765 "src/asm/parser.y"
                                                                         {
			out_AbsByte(0x0A | (2 << 4));
		}
#line 4970 "src/asm/parser.c"
    break;

  case 380:
#line 1770 "src/asm/parser.y"
                                                                         {
			out_AbsByte(0x02 | (3 << 4));
		}
#line 4978 "src/asm/parser.c"
    break;

  case 381:
#line 1773 "src/asm/parser.y"
                                                                         {
			out_AbsByte(0x0A | (3 << 4));
		}
#line 4986 "src/asm/parser.c"
    break;

  case 382:
#line 1778 "src/asm/parser.y"
                                                        {
			rpn_CheckHRAM(&(yyvsp[0].sVal), &(yyvsp[0].sVal));

			out_AbsByte(0xF0);
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 4997 "src/asm/parser.c"
    break;

  case 383:
#line 1784 "src/asm/parser.y"
                                                        {
			rpn_CheckHRAM(&(yyvsp[-2].sVal), &(yyvsp[-2].sVal));

			out_AbsByte(0xE0);
			out_RelByte(&(yyvsp[-2].sVal), 1);
		}
#line 5008 "src/asm/parser.c"
    break;

  case 384:
#line 1790 "src/asm/parser.y"
                                                   {
			out_AbsByte(0xF2);
		}
#line 5016 "src/asm/parser.c"
    break;

  case 385:
#line 1793 "src/asm/parser.y"
                                                   {
			out_AbsByte(0xE2);
		}
#line 5024 "src/asm/parser.c"
    break;

  case 396:
#line 1812 "src/asm/parser.y"
                                                                           {
			out_AbsByte(0xF8);
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 5033 "src/asm/parser.c"
    break;

  case 397:
#line 1816 "src/asm/parser.y"
                                                         {
			out_AbsByte(0x01 | (REG_HL << 4));
			out_RelWord(&(yyvsp[0].sVal), 1);
		}
#line 5042 "src/asm/parser.c"
    break;

  case 398:
#line 1822 "src/asm/parser.y"
                                                        { out_AbsByte(0xF9); }
#line 5048 "src/asm/parser.c"
    break;

  case 399:
#line 1823 "src/asm/parser.y"
                                                         {
			out_AbsByte(0x01 | (REG_SP << 4));
			out_RelWord(&(yyvsp[0].sVal), 1);
		}
#line 5057 "src/asm/parser.c"
    break;

  case 400:
#line 1829 "src/asm/parser.y"
                                                        {
			out_AbsByte(0x08);
			out_RelWord(&(yyvsp[-2].sVal), 1);
		}
#line 5066 "src/asm/parser.c"
    break;

  case 401:
#line 1833 "src/asm/parser.y"
                                                       {
			if (optimizeloads && rpn_isKnown(&(yyvsp[-2].sVal))
			 && (yyvsp[-2].sVal).nVal >= 0xFF00) {
				out_AbsByte(0xE0);
				out_AbsByte((yyvsp[-2].sVal).nVal & 0xFF);
				rpn_Free(&(yyvsp[-2].sVal));
			} else {
				out_AbsByte(0xEA);
				out_RelWord(&(yyvsp[-2].sVal), 1);
			}
		}
#line 5082 "src/asm/parser.c"
    break;

  case 402:
#line 1846 "src/asm/parser.y"
                                                  {
			out_AbsByte(0xE2);
		}
#line 5090 "src/asm/parser.c"
    break;

  case 403:
#line 1851 "src/asm/parser.y"
                                                   {
			out_AbsByte(0x02 | ((yyvsp[-2].nConstValue) << 4));
		}
#line 5098 "src/asm/parser.c"
    break;

  case 404:
#line 1856 "src/asm/parser.y"
                                                    {
			out_AbsByte(0x06 | ((yyvsp[-2].nConstValue) << 3));
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 5107 "src/asm/parser.c"
    break;

  case 405:
#line 1860 "src/asm/parser.y"
                                               {
			if (((yyvsp[-2].nConstValue) == REG_HL_IND) && ((yyvsp[0].nConstValue) == REG_HL_IND))
				error("LD [HL],[HL] not a valid instruction\n");
			else
				out_AbsByte(0x40 | ((yyvsp[-2].nConstValue) << 3) | (yyvsp[0].nConstValue));
		}
#line 5118 "src/asm/parser.c"
    break;

  case 406:
#line 1868 "src/asm/parser.y"
                                               {
			if ((yyvsp[-2].nConstValue) == REG_A)
				out_AbsByte(0xF2);
			else
				error("Destination operand must be A\n");
		}
#line 5129 "src/asm/parser.c"
    break;

  case 407:
#line 1874 "src/asm/parser.y"
                                                {
			if ((yyvsp[-2].nConstValue) == REG_A)
				out_AbsByte(0x0A | ((yyvsp[0].nConstValue) << 4));
			else
				error("Destination operand must be A\n");
		}
#line 5140 "src/asm/parser.c"
    break;

  case 408:
#line 1880 "src/asm/parser.y"
                                                    {
			if ((yyvsp[-2].nConstValue) == REG_A) {
				if (optimizeloads && rpn_isKnown(&(yyvsp[0].sVal))
				 && (yyvsp[0].sVal).nVal >= 0xFF00) {
					out_AbsByte(0xF0);
					out_AbsByte((yyvsp[0].sVal).nVal & 0xFF);
					rpn_Free(&(yyvsp[0].sVal));
				} else {
					out_AbsByte(0xFA);
					out_RelWord(&(yyvsp[0].sVal), 1);
				}
			} else {
				error("Destination operand must be A\n");
				rpn_Free(&(yyvsp[0].sVal));
			}
		}
#line 5161 "src/asm/parser.c"
    break;

  case 409:
#line 1898 "src/asm/parser.y"
                                                         {
			out_AbsByte(0x01 | (REG_BC << 4));
			out_RelWord(&(yyvsp[0].sVal), 1);
		}
#line 5170 "src/asm/parser.c"
    break;

  case 410:
#line 1902 "src/asm/parser.y"
                                                         {
			out_AbsByte(0x01 | (REG_DE << 4));
			out_RelWord(&(yyvsp[0].sVal), 1);
		}
#line 5179 "src/asm/parser.c"
    break;

  case 411:
#line 1912 "src/asm/parser.y"
                                { out_AbsByte(0x00); }
#line 5185 "src/asm/parser.c"
    break;

  case 412:
#line 1915 "src/asm/parser.y"
                                  {
			out_AbsByte(0xF6);
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 5194 "src/asm/parser.c"
    break;

  case 413:
#line 1919 "src/asm/parser.y"
                                        { out_AbsByte(0xB0 | (yyvsp[0].nConstValue)); }
#line 5200 "src/asm/parser.c"
    break;

  case 414:
#line 1922 "src/asm/parser.y"
                                        { out_AbsByte(0xC1 | ((yyvsp[0].nConstValue) << 4)); }
#line 5206 "src/asm/parser.c"
    break;

  case 415:
#line 1925 "src/asm/parser.y"
                                        { out_AbsByte(0xC5 | ((yyvsp[0].nConstValue) << 4)); }
#line 5212 "src/asm/parser.c"
    break;

  case 416:
#line 1928 "src/asm/parser.y"
                                                     {
			out_AbsByte(0xCB);
			out_AbsByte(0x80 | ((yyvsp[-2].nConstValue) << 3) | (yyvsp[0].nConstValue));
		}
#line 5221 "src/asm/parser.c"
    break;

  case 417:
#line 1934 "src/asm/parser.y"
                                { out_AbsByte(0xC9);
		}
#line 5228 "src/asm/parser.c"
    break;

  case 418:
#line 1936 "src/asm/parser.y"
                                        { out_AbsByte(0xC0 | ((yyvsp[0].nConstValue) << 3)); }
#line 5234 "src/asm/parser.c"
    break;

  case 419:
#line 1939 "src/asm/parser.y"
                                { out_AbsByte(0xD9); }
#line 5240 "src/asm/parser.c"
    break;

  case 420:
#line 1942 "src/asm/parser.y"
                                 {
			out_AbsByte(0xCB);
			out_AbsByte(0x10 | (yyvsp[0].nConstValue));
		}
#line 5249 "src/asm/parser.c"
    break;

  case 421:
#line 1948 "src/asm/parser.y"
                                { out_AbsByte(0x17); }
#line 5255 "src/asm/parser.c"
    break;

  case 422:
#line 1951 "src/asm/parser.y"
                                  {
			out_AbsByte(0xCB);
			out_AbsByte(0x00 | (yyvsp[0].nConstValue));
		}
#line 5264 "src/asm/parser.c"
    break;

  case 423:
#line 1957 "src/asm/parser.y"
                                { out_AbsByte(0x07); }
#line 5270 "src/asm/parser.c"
    break;

  case 424:
#line 1960 "src/asm/parser.y"
                                 {
			out_AbsByte(0xCB);
			out_AbsByte(0x18 | (yyvsp[0].nConstValue));
		}
#line 5279 "src/asm/parser.c"
    break;

  case 425:
#line 1966 "src/asm/parser.y"
                                { out_AbsByte(0x1F); }
#line 5285 "src/asm/parser.c"
    break;

  case 426:
#line 1969 "src/asm/parser.y"
                                  {
			out_AbsByte(0xCB);
			out_AbsByte(0x08 | (yyvsp[0].nConstValue));
		}
#line 5294 "src/asm/parser.c"
    break;

  case 427:
#line 1975 "src/asm/parser.y"
                                { out_AbsByte(0x0F); }
#line 5300 "src/asm/parser.c"
    break;

  case 428:
#line 1978 "src/asm/parser.y"
                                       {
			rpn_CheckRST(&(yyvsp[0].sVal), &(yyvsp[0].sVal));
			if (!rpn_isKnown(&(yyvsp[0].sVal)))
				out_RelByte(&(yyvsp[0].sVal), 0);
			else
				out_AbsByte(0xC7 | (yyvsp[0].sVal).nVal);
			rpn_Free(&(yyvsp[0].sVal));
		}
#line 5313 "src/asm/parser.c"
    break;

  case 429:
#line 1988 "src/asm/parser.y"
                                   {
			out_AbsByte(0xDE);
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 5322 "src/asm/parser.c"
    break;

  case 430:
#line 1992 "src/asm/parser.y"
                                        { out_AbsByte(0x98 | (yyvsp[0].nConstValue)); }
#line 5328 "src/asm/parser.c"
    break;

  case 431:
#line 1995 "src/asm/parser.y"
                                { out_AbsByte(0x37); }
#line 5334 "src/asm/parser.c"
    break;

  case 432:
#line 1998 "src/asm/parser.y"
                                                     {
			out_AbsByte(0xCB);
			out_AbsByte(0xC0 | ((yyvsp[-2].nConstValue) << 3) | (yyvsp[0].nConstValue));
		}
#line 5343 "src/asm/parser.c"
    break;

  case 433:
#line 2004 "src/asm/parser.y"
                                  {
			out_AbsByte(0xCB);
			out_AbsByte(0x20 | (yyvsp[0].nConstValue));
		}
#line 5352 "src/asm/parser.c"
    break;

  case 434:
#line 2010 "src/asm/parser.y"
                                  {
			out_AbsByte(0xCB);
			out_AbsByte(0x28 | (yyvsp[0].nConstValue));
		}
#line 5361 "src/asm/parser.c"
    break;

  case 435:
#line 2016 "src/asm/parser.y"
                                  {
			out_AbsByte(0xCB);
			out_AbsByte(0x38 | (yyvsp[0].nConstValue));
		}
#line 5370 "src/asm/parser.c"
    break;

  case 436:
#line 2022 "src/asm/parser.y"
                             {
			out_AbsByte(0x10);
			out_AbsByte(0x00);
		}
#line 5379 "src/asm/parser.c"
    break;

  case 437:
#line 2026 "src/asm/parser.y"
                                        {
			out_AbsByte(0x10);
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 5388 "src/asm/parser.c"
    break;

  case 438:
#line 2032 "src/asm/parser.y"
                                   {
			out_AbsByte(0xD6);
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 5397 "src/asm/parser.c"
    break;

  case 439:
#line 2036 "src/asm/parser.y"
                                        { out_AbsByte(0x90 | (yyvsp[0].nConstValue));
		}
#line 5404 "src/asm/parser.c"
    break;

  case 440:
#line 2040 "src/asm/parser.y"
                                   {
			out_AbsByte(0xCB);
			out_AbsByte(0x30 | (yyvsp[0].nConstValue));
		}
#line 5413 "src/asm/parser.c"
    break;

  case 441:
#line 2046 "src/asm/parser.y"
                                   {
			out_AbsByte(0xEE);
			out_RelByte(&(yyvsp[0].sVal), 1);
		}
#line 5422 "src/asm/parser.c"
    break;

  case 442:
#line 2050 "src/asm/parser.y"
                                        { out_AbsByte(0xA8 | (yyvsp[0].nConstValue)); }
#line 5428 "src/asm/parser.c"
    break;

  case 443:
#line 2053 "src/asm/parser.y"
                                                { (yyval.sVal) = (yyvsp[-1].sVal); }
#line 5434 "src/asm/parser.c"
    break;

  case 445:
#line 2057 "src/asm/parser.y"
                                                { (yyval.nConstValue) = (yyvsp[0].nConstValue); }
#line 5440 "src/asm/parser.c"
    break;

  case 447:
#line 2061 "src/asm/parser.y"
                                                { (yyval.sVal) = (yyvsp[0].sVal); }
#line 5446 "src/asm/parser.c"
    break;

  case 462:
#line 2092 "src/asm/parser.y"
                                        { (yyval.nConstValue) = CC_NZ; }
#line 5452 "src/asm/parser.c"
    break;

  case 463:
#line 2093 "src/asm/parser.y"
                                        { (yyval.nConstValue) = CC_Z; }
#line 5458 "src/asm/parser.c"
    break;

  case 464:
#line 2094 "src/asm/parser.y"
                                        { (yyval.nConstValue) = CC_NC; }
#line 5464 "src/asm/parser.c"
    break;

  case 465:
#line 2095 "src/asm/parser.y"
                                        { (yyval.nConstValue) = CC_C; }
#line 5470 "src/asm/parser.c"
    break;

  case 466:
#line 2098 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_B; }
#line 5476 "src/asm/parser.c"
    break;

  case 467:
#line 2099 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_C; }
#line 5482 "src/asm/parser.c"
    break;

  case 468:
#line 2100 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_D; }
#line 5488 "src/asm/parser.c"
    break;

  case 469:
#line 2101 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_E; }
#line 5494 "src/asm/parser.c"
    break;

  case 470:
#line 2102 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_H; }
#line 5500 "src/asm/parser.c"
    break;

  case 471:
#line 2103 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_L; }
#line 5506 "src/asm/parser.c"
    break;

  case 472:
#line 2104 "src/asm/parser.y"
                                                { (yyval.nConstValue) = REG_HL_IND; }
#line 5512 "src/asm/parser.c"
    break;

  case 473:
#line 2105 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_A; }
#line 5518 "src/asm/parser.c"
    break;

  case 474:
#line 2108 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_BC; }
#line 5524 "src/asm/parser.c"
    break;

  case 475:
#line 2109 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_DE; }
#line 5530 "src/asm/parser.c"
    break;

  case 476:
#line 2110 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_HL; }
#line 5536 "src/asm/parser.c"
    break;

  case 477:
#line 2111 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_AF; }
#line 5542 "src/asm/parser.c"
    break;

  case 478:
#line 2114 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_BC; }
#line 5548 "src/asm/parser.c"
    break;

  case 479:
#line 2115 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_DE; }
#line 5554 "src/asm/parser.c"
    break;

  case 480:
#line 2116 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_HL; }
#line 5560 "src/asm/parser.c"
    break;

  case 481:
#line 2117 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_SP; }
#line 5566 "src/asm/parser.c"
    break;

  case 482:
#line 2120 "src/asm/parser.y"
                                                { (yyval.nConstValue) = REG_BC_IND; }
#line 5572 "src/asm/parser.c"
    break;

  case 483:
#line 2121 "src/asm/parser.y"
                                                { (yyval.nConstValue) = REG_DE_IND; }
#line 5578 "src/asm/parser.c"
    break;

  case 484:
#line 2122 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_HL_INDINC; }
#line 5584 "src/asm/parser.c"
    break;

  case 485:
#line 2123 "src/asm/parser.y"
                                        { (yyval.nConstValue) = REG_HL_INDDEC; }
#line 5590 "src/asm/parser.c"
    break;


#line 5594 "src/asm/parser.c"

        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *, YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif


/*-----------------------------------------------------.
| yyreturn -- parsing is finished, return the result.  |
`-----------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 2134 "src/asm/parser.y"

